"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunScheduledInstancesRequestFilterSensitiveLog = exports.ScheduledInstancesLaunchSpecificationFilterSensitiveLog = exports.RunInstancesRequestFilterSensitiveLog = exports.RequestSpotInstancesResultFilterSensitiveLog = exports.RequestSpotInstancesRequestFilterSensitiveLog = exports.RequestSpotLaunchSpecificationFilterSensitiveLog = exports.RequestSpotFleetRequestFilterSensitiveLog = exports.MembershipType = exports.ResetImageAttributeName = exports.ResetFpgaImageAttributeName = exports.ReportStatusType = exports.ReportInstanceReasonCodes = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const models_4_1 = require("./models_4");
exports.ReportInstanceReasonCodes = {
    instance_stuck_in_state: "instance-stuck-in-state",
    not_accepting_credentials: "not-accepting-credentials",
    other: "other",
    password_not_available: "password-not-available",
    performance_ebs_volume: "performance-ebs-volume",
    performance_instance_store: "performance-instance-store",
    performance_network: "performance-network",
    performance_other: "performance-other",
    unresponsive: "unresponsive",
};
exports.ReportStatusType = {
    impaired: "impaired",
    ok: "ok",
};
exports.ResetFpgaImageAttributeName = {
    loadPermission: "loadPermission",
};
exports.ResetImageAttributeName = {
    launchPermission: "launchPermission",
};
exports.MembershipType = {
    igmp: "igmp",
    static: "static",
};
const RequestSpotFleetRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SpotFleetRequestConfig && {
        SpotFleetRequestConfig: (0, models_4_1.SpotFleetRequestConfigDataFilterSensitiveLog)(obj.SpotFleetRequestConfig),
    }),
});
exports.RequestSpotFleetRequestFilterSensitiveLog = RequestSpotFleetRequestFilterSensitiveLog;
const RequestSpotLaunchSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.RequestSpotLaunchSpecificationFilterSensitiveLog = RequestSpotLaunchSpecificationFilterSensitiveLog;
const RequestSpotInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LaunchSpecification && {
        LaunchSpecification: (0, exports.RequestSpotLaunchSpecificationFilterSensitiveLog)(obj.LaunchSpecification),
    }),
});
exports.RequestSpotInstancesRequestFilterSensitiveLog = RequestSpotInstancesRequestFilterSensitiveLog;
const RequestSpotInstancesResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SpotInstanceRequests && {
        SpotInstanceRequests: obj.SpotInstanceRequests.map((item) => (0, models_4_1.SpotInstanceRequestFilterSensitiveLog)(item)),
    }),
});
exports.RequestSpotInstancesResultFilterSensitiveLog = RequestSpotInstancesResultFilterSensitiveLog;
const RunInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.RunInstancesRequestFilterSensitiveLog = RunInstancesRequestFilterSensitiveLog;
const ScheduledInstancesLaunchSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.ScheduledInstancesLaunchSpecificationFilterSensitiveLog = ScheduledInstancesLaunchSpecificationFilterSensitiveLog;
const RunScheduledInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LaunchSpecification && { LaunchSpecification: smithy_client_1.SENSITIVE_STRING }),
});
exports.RunScheduledInstancesRequestFilterSensitiveLog = RunScheduledInstancesRequestFilterSensitiveLog;
