import { createAggregatedClient } from "@smithy/smithy-client";
import { AcceptAddressTransferCommand, } from "./commands/AcceptAddressTransferCommand";
import { AcceptReservedInstancesExchangeQuoteCommand, } from "./commands/AcceptReservedInstancesExchangeQuoteCommand";
import { AcceptTransitGatewayMulticastDomainAssociationsCommand, } from "./commands/AcceptTransitGatewayMulticastDomainAssociationsCommand";
import { AcceptTransitGatewayPeeringAttachmentCommand, } from "./commands/AcceptTransitGatewayPeeringAttachmentCommand";
import { AcceptTransitGatewayVpcAttachmentCommand, } from "./commands/AcceptTransitGatewayVpcAttachmentCommand";
import { AcceptVpcEndpointConnectionsCommand, } from "./commands/AcceptVpcEndpointConnectionsCommand";
import { AcceptVpcPeeringConnectionCommand, } from "./commands/AcceptVpcPeeringConnectionCommand";
import { AdvertiseByoipCidrCommand, } from "./commands/AdvertiseByoipCidrCommand";
import { AllocateAddressCommand, } from "./commands/AllocateAddressCommand";
import { AllocateHostsCommand, } from "./commands/AllocateHostsCommand";
import { AllocateIpamPoolCidrCommand, } from "./commands/AllocateIpamPoolCidrCommand";
import { ApplySecurityGroupsToClientVpnTargetNetworkCommand, } from "./commands/ApplySecurityGroupsToClientVpnTargetNetworkCommand";
import { AssignIpv6AddressesCommand, } from "./commands/AssignIpv6AddressesCommand";
import { AssignPrivateIpAddressesCommand, } from "./commands/AssignPrivateIpAddressesCommand";
import { AssignPrivateNatGatewayAddressCommand, } from "./commands/AssignPrivateNatGatewayAddressCommand";
import { AssociateAddressCommand, } from "./commands/AssociateAddressCommand";
import { AssociateClientVpnTargetNetworkCommand, } from "./commands/AssociateClientVpnTargetNetworkCommand";
import { AssociateDhcpOptionsCommand, } from "./commands/AssociateDhcpOptionsCommand";
import { AssociateEnclaveCertificateIamRoleCommand, } from "./commands/AssociateEnclaveCertificateIamRoleCommand";
import { AssociateIamInstanceProfileCommand, } from "./commands/AssociateIamInstanceProfileCommand";
import { AssociateInstanceEventWindowCommand, } from "./commands/AssociateInstanceEventWindowCommand";
import { AssociateIpamByoasnCommand, } from "./commands/AssociateIpamByoasnCommand";
import { AssociateIpamResourceDiscoveryCommand, } from "./commands/AssociateIpamResourceDiscoveryCommand";
import { AssociateNatGatewayAddressCommand, } from "./commands/AssociateNatGatewayAddressCommand";
import { AssociateRouteTableCommand, } from "./commands/AssociateRouteTableCommand";
import { AssociateSubnetCidrBlockCommand, } from "./commands/AssociateSubnetCidrBlockCommand";
import { AssociateTransitGatewayMulticastDomainCommand, } from "./commands/AssociateTransitGatewayMulticastDomainCommand";
import { AssociateTransitGatewayPolicyTableCommand, } from "./commands/AssociateTransitGatewayPolicyTableCommand";
import { AssociateTransitGatewayRouteTableCommand, } from "./commands/AssociateTransitGatewayRouteTableCommand";
import { AssociateTrunkInterfaceCommand, } from "./commands/AssociateTrunkInterfaceCommand";
import { AssociateVpcCidrBlockCommand, } from "./commands/AssociateVpcCidrBlockCommand";
import { AttachClassicLinkVpcCommand, } from "./commands/AttachClassicLinkVpcCommand";
import { AttachInternetGatewayCommand, } from "./commands/AttachInternetGatewayCommand";
import { AttachNetworkInterfaceCommand, } from "./commands/AttachNetworkInterfaceCommand";
import { AttachVerifiedAccessTrustProviderCommand, } from "./commands/AttachVerifiedAccessTrustProviderCommand";
import { AttachVolumeCommand, } from "./commands/AttachVolumeCommand";
import { AttachVpnGatewayCommand, } from "./commands/AttachVpnGatewayCommand";
import { AuthorizeClientVpnIngressCommand, } from "./commands/AuthorizeClientVpnIngressCommand";
import { AuthorizeSecurityGroupEgressCommand, } from "./commands/AuthorizeSecurityGroupEgressCommand";
import { AuthorizeSecurityGroupIngressCommand, } from "./commands/AuthorizeSecurityGroupIngressCommand";
import { BundleInstanceCommand, } from "./commands/BundleInstanceCommand";
import { CancelBundleTaskCommand, } from "./commands/CancelBundleTaskCommand";
import { CancelCapacityReservationCommand, } from "./commands/CancelCapacityReservationCommand";
import { CancelCapacityReservationFleetsCommand, } from "./commands/CancelCapacityReservationFleetsCommand";
import { CancelConversionTaskCommand, } from "./commands/CancelConversionTaskCommand";
import { CancelExportTaskCommand, } from "./commands/CancelExportTaskCommand";
import { CancelImageLaunchPermissionCommand, } from "./commands/CancelImageLaunchPermissionCommand";
import { CancelImportTaskCommand, } from "./commands/CancelImportTaskCommand";
import { CancelReservedInstancesListingCommand, } from "./commands/CancelReservedInstancesListingCommand";
import { CancelSpotFleetRequestsCommand, } from "./commands/CancelSpotFleetRequestsCommand";
import { CancelSpotInstanceRequestsCommand, } from "./commands/CancelSpotInstanceRequestsCommand";
import { ConfirmProductInstanceCommand, } from "./commands/ConfirmProductInstanceCommand";
import { CopyFpgaImageCommand, } from "./commands/CopyFpgaImageCommand";
import { CopyImageCommand } from "./commands/CopyImageCommand";
import { CopySnapshotCommand, } from "./commands/CopySnapshotCommand";
import { CreateCapacityReservationCommand, } from "./commands/CreateCapacityReservationCommand";
import { CreateCapacityReservationFleetCommand, } from "./commands/CreateCapacityReservationFleetCommand";
import { CreateCarrierGatewayCommand, } from "./commands/CreateCarrierGatewayCommand";
import { CreateClientVpnEndpointCommand, } from "./commands/CreateClientVpnEndpointCommand";
import { CreateClientVpnRouteCommand, } from "./commands/CreateClientVpnRouteCommand";
import { CreateCoipCidrCommand, } from "./commands/CreateCoipCidrCommand";
import { CreateCoipPoolCommand, } from "./commands/CreateCoipPoolCommand";
import { CreateCustomerGatewayCommand, } from "./commands/CreateCustomerGatewayCommand";
import { CreateDefaultSubnetCommand, } from "./commands/CreateDefaultSubnetCommand";
import { CreateDefaultVpcCommand, } from "./commands/CreateDefaultVpcCommand";
import { CreateDhcpOptionsCommand, } from "./commands/CreateDhcpOptionsCommand";
import { CreateEgressOnlyInternetGatewayCommand, } from "./commands/CreateEgressOnlyInternetGatewayCommand";
import { CreateFleetCommand } from "./commands/CreateFleetCommand";
import { CreateFlowLogsCommand, } from "./commands/CreateFlowLogsCommand";
import { CreateFpgaImageCommand, } from "./commands/CreateFpgaImageCommand";
import { CreateImageCommand } from "./commands/CreateImageCommand";
import { CreateInstanceConnectEndpointCommand, } from "./commands/CreateInstanceConnectEndpointCommand";
import { CreateInstanceEventWindowCommand, } from "./commands/CreateInstanceEventWindowCommand";
import { CreateInstanceExportTaskCommand, } from "./commands/CreateInstanceExportTaskCommand";
import { CreateInternetGatewayCommand, } from "./commands/CreateInternetGatewayCommand";
import { CreateIpamCommand } from "./commands/CreateIpamCommand";
import { CreateIpamPoolCommand, } from "./commands/CreateIpamPoolCommand";
import { CreateIpamResourceDiscoveryCommand, } from "./commands/CreateIpamResourceDiscoveryCommand";
import { CreateIpamScopeCommand, } from "./commands/CreateIpamScopeCommand";
import { CreateKeyPairCommand, } from "./commands/CreateKeyPairCommand";
import { CreateLaunchTemplateCommand, } from "./commands/CreateLaunchTemplateCommand";
import { CreateLaunchTemplateVersionCommand, } from "./commands/CreateLaunchTemplateVersionCommand";
import { CreateLocalGatewayRouteCommand, } from "./commands/CreateLocalGatewayRouteCommand";
import { CreateLocalGatewayRouteTableCommand, } from "./commands/CreateLocalGatewayRouteTableCommand";
import { CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand, } from "./commands/CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand";
import { CreateLocalGatewayRouteTableVpcAssociationCommand, } from "./commands/CreateLocalGatewayRouteTableVpcAssociationCommand";
import { CreateManagedPrefixListCommand, } from "./commands/CreateManagedPrefixListCommand";
import { CreateNatGatewayCommand, } from "./commands/CreateNatGatewayCommand";
import { CreateNetworkAclCommand, } from "./commands/CreateNetworkAclCommand";
import { CreateNetworkAclEntryCommand, } from "./commands/CreateNetworkAclEntryCommand";
import { CreateNetworkInsightsAccessScopeCommand, } from "./commands/CreateNetworkInsightsAccessScopeCommand";
import { CreateNetworkInsightsPathCommand, } from "./commands/CreateNetworkInsightsPathCommand";
import { CreateNetworkInterfaceCommand, } from "./commands/CreateNetworkInterfaceCommand";
import { CreateNetworkInterfacePermissionCommand, } from "./commands/CreateNetworkInterfacePermissionCommand";
import { CreatePlacementGroupCommand, } from "./commands/CreatePlacementGroupCommand";
import { CreatePublicIpv4PoolCommand, } from "./commands/CreatePublicIpv4PoolCommand";
import { CreateReplaceRootVolumeTaskCommand, } from "./commands/CreateReplaceRootVolumeTaskCommand";
import { CreateReservedInstancesListingCommand, } from "./commands/CreateReservedInstancesListingCommand";
import { CreateRestoreImageTaskCommand, } from "./commands/CreateRestoreImageTaskCommand";
import { CreateRouteCommand } from "./commands/CreateRouteCommand";
import { CreateRouteTableCommand, } from "./commands/CreateRouteTableCommand";
import { CreateSecurityGroupCommand, } from "./commands/CreateSecurityGroupCommand";
import { CreateSnapshotCommand, } from "./commands/CreateSnapshotCommand";
import { CreateSnapshotsCommand, } from "./commands/CreateSnapshotsCommand";
import { CreateSpotDatafeedSubscriptionCommand, } from "./commands/CreateSpotDatafeedSubscriptionCommand";
import { CreateStoreImageTaskCommand, } from "./commands/CreateStoreImageTaskCommand";
import { CreateSubnetCidrReservationCommand, } from "./commands/CreateSubnetCidrReservationCommand";
import { CreateSubnetCommand, } from "./commands/CreateSubnetCommand";
import { CreateTagsCommand } from "./commands/CreateTagsCommand";
import { CreateTrafficMirrorFilterCommand, } from "./commands/CreateTrafficMirrorFilterCommand";
import { CreateTrafficMirrorFilterRuleCommand, } from "./commands/CreateTrafficMirrorFilterRuleCommand";
import { CreateTrafficMirrorSessionCommand, } from "./commands/CreateTrafficMirrorSessionCommand";
import { CreateTrafficMirrorTargetCommand, } from "./commands/CreateTrafficMirrorTargetCommand";
import { CreateTransitGatewayCommand, } from "./commands/CreateTransitGatewayCommand";
import { CreateTransitGatewayConnectCommand, } from "./commands/CreateTransitGatewayConnectCommand";
import { CreateTransitGatewayConnectPeerCommand, } from "./commands/CreateTransitGatewayConnectPeerCommand";
import { CreateTransitGatewayMulticastDomainCommand, } from "./commands/CreateTransitGatewayMulticastDomainCommand";
import { CreateTransitGatewayPeeringAttachmentCommand, } from "./commands/CreateTransitGatewayPeeringAttachmentCommand";
import { CreateTransitGatewayPolicyTableCommand, } from "./commands/CreateTransitGatewayPolicyTableCommand";
import { CreateTransitGatewayPrefixListReferenceCommand, } from "./commands/CreateTransitGatewayPrefixListReferenceCommand";
import { CreateTransitGatewayRouteCommand, } from "./commands/CreateTransitGatewayRouteCommand";
import { CreateTransitGatewayRouteTableAnnouncementCommand, } from "./commands/CreateTransitGatewayRouteTableAnnouncementCommand";
import { CreateTransitGatewayRouteTableCommand, } from "./commands/CreateTransitGatewayRouteTableCommand";
import { CreateTransitGatewayVpcAttachmentCommand, } from "./commands/CreateTransitGatewayVpcAttachmentCommand";
import { CreateVerifiedAccessEndpointCommand, } from "./commands/CreateVerifiedAccessEndpointCommand";
import { CreateVerifiedAccessGroupCommand, } from "./commands/CreateVerifiedAccessGroupCommand";
import { CreateVerifiedAccessInstanceCommand, } from "./commands/CreateVerifiedAccessInstanceCommand";
import { CreateVerifiedAccessTrustProviderCommand, } from "./commands/CreateVerifiedAccessTrustProviderCommand";
import { CreateVolumeCommand, } from "./commands/CreateVolumeCommand";
import { CreateVpcCommand } from "./commands/CreateVpcCommand";
import { CreateVpcEndpointCommand, } from "./commands/CreateVpcEndpointCommand";
import { CreateVpcEndpointConnectionNotificationCommand, } from "./commands/CreateVpcEndpointConnectionNotificationCommand";
import { CreateVpcEndpointServiceConfigurationCommand, } from "./commands/CreateVpcEndpointServiceConfigurationCommand";
import { CreateVpcPeeringConnectionCommand, } from "./commands/CreateVpcPeeringConnectionCommand";
import { CreateVpnConnectionCommand, } from "./commands/CreateVpnConnectionCommand";
import { CreateVpnConnectionRouteCommand, } from "./commands/CreateVpnConnectionRouteCommand";
import { CreateVpnGatewayCommand, } from "./commands/CreateVpnGatewayCommand";
import { DeleteCarrierGatewayCommand, } from "./commands/DeleteCarrierGatewayCommand";
import { DeleteClientVpnEndpointCommand, } from "./commands/DeleteClientVpnEndpointCommand";
import { DeleteClientVpnRouteCommand, } from "./commands/DeleteClientVpnRouteCommand";
import { DeleteCoipCidrCommand, } from "./commands/DeleteCoipCidrCommand";
import { DeleteCoipPoolCommand, } from "./commands/DeleteCoipPoolCommand";
import { DeleteCustomerGatewayCommand, } from "./commands/DeleteCustomerGatewayCommand";
import { DeleteDhcpOptionsCommand, } from "./commands/DeleteDhcpOptionsCommand";
import { DeleteEgressOnlyInternetGatewayCommand, } from "./commands/DeleteEgressOnlyInternetGatewayCommand";
import { DeleteFleetsCommand, } from "./commands/DeleteFleetsCommand";
import { DeleteFlowLogsCommand, } from "./commands/DeleteFlowLogsCommand";
import { DeleteFpgaImageCommand, } from "./commands/DeleteFpgaImageCommand";
import { DeleteInstanceConnectEndpointCommand, } from "./commands/DeleteInstanceConnectEndpointCommand";
import { DeleteInstanceEventWindowCommand, } from "./commands/DeleteInstanceEventWindowCommand";
import { DeleteInternetGatewayCommand, } from "./commands/DeleteInternetGatewayCommand";
import { DeleteIpamCommand } from "./commands/DeleteIpamCommand";
import { DeleteIpamPoolCommand, } from "./commands/DeleteIpamPoolCommand";
import { DeleteIpamResourceDiscoveryCommand, } from "./commands/DeleteIpamResourceDiscoveryCommand";
import { DeleteIpamScopeCommand, } from "./commands/DeleteIpamScopeCommand";
import { DeleteKeyPairCommand, } from "./commands/DeleteKeyPairCommand";
import { DeleteLaunchTemplateCommand, } from "./commands/DeleteLaunchTemplateCommand";
import { DeleteLaunchTemplateVersionsCommand, } from "./commands/DeleteLaunchTemplateVersionsCommand";
import { DeleteLocalGatewayRouteCommand, } from "./commands/DeleteLocalGatewayRouteCommand";
import { DeleteLocalGatewayRouteTableCommand, } from "./commands/DeleteLocalGatewayRouteTableCommand";
import { DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand, } from "./commands/DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand";
import { DeleteLocalGatewayRouteTableVpcAssociationCommand, } from "./commands/DeleteLocalGatewayRouteTableVpcAssociationCommand";
import { DeleteManagedPrefixListCommand, } from "./commands/DeleteManagedPrefixListCommand";
import { DeleteNatGatewayCommand, } from "./commands/DeleteNatGatewayCommand";
import { DeleteNetworkAclCommand, } from "./commands/DeleteNetworkAclCommand";
import { DeleteNetworkAclEntryCommand, } from "./commands/DeleteNetworkAclEntryCommand";
import { DeleteNetworkInsightsAccessScopeAnalysisCommand, } from "./commands/DeleteNetworkInsightsAccessScopeAnalysisCommand";
import { DeleteNetworkInsightsAccessScopeCommand, } from "./commands/DeleteNetworkInsightsAccessScopeCommand";
import { DeleteNetworkInsightsAnalysisCommand, } from "./commands/DeleteNetworkInsightsAnalysisCommand";
import { DeleteNetworkInsightsPathCommand, } from "./commands/DeleteNetworkInsightsPathCommand";
import { DeleteNetworkInterfaceCommand, } from "./commands/DeleteNetworkInterfaceCommand";
import { DeleteNetworkInterfacePermissionCommand, } from "./commands/DeleteNetworkInterfacePermissionCommand";
import { DeletePlacementGroupCommand, } from "./commands/DeletePlacementGroupCommand";
import { DeletePublicIpv4PoolCommand, } from "./commands/DeletePublicIpv4PoolCommand";
import { DeleteQueuedReservedInstancesCommand, } from "./commands/DeleteQueuedReservedInstancesCommand";
import { DeleteRouteCommand } from "./commands/DeleteRouteCommand";
import { DeleteRouteTableCommand, } from "./commands/DeleteRouteTableCommand";
import { DeleteSecurityGroupCommand, } from "./commands/DeleteSecurityGroupCommand";
import { DeleteSnapshotCommand, } from "./commands/DeleteSnapshotCommand";
import { DeleteSpotDatafeedSubscriptionCommand, } from "./commands/DeleteSpotDatafeedSubscriptionCommand";
import { DeleteSubnetCidrReservationCommand, } from "./commands/DeleteSubnetCidrReservationCommand";
import { DeleteSubnetCommand, } from "./commands/DeleteSubnetCommand";
import { DeleteTagsCommand } from "./commands/DeleteTagsCommand";
import { DeleteTrafficMirrorFilterCommand, } from "./commands/DeleteTrafficMirrorFilterCommand";
import { DeleteTrafficMirrorFilterRuleCommand, } from "./commands/DeleteTrafficMirrorFilterRuleCommand";
import { DeleteTrafficMirrorSessionCommand, } from "./commands/DeleteTrafficMirrorSessionCommand";
import { DeleteTrafficMirrorTargetCommand, } from "./commands/DeleteTrafficMirrorTargetCommand";
import { DeleteTransitGatewayCommand, } from "./commands/DeleteTransitGatewayCommand";
import { DeleteTransitGatewayConnectCommand, } from "./commands/DeleteTransitGatewayConnectCommand";
import { DeleteTransitGatewayConnectPeerCommand, } from "./commands/DeleteTransitGatewayConnectPeerCommand";
import { DeleteTransitGatewayMulticastDomainCommand, } from "./commands/DeleteTransitGatewayMulticastDomainCommand";
import { DeleteTransitGatewayPeeringAttachmentCommand, } from "./commands/DeleteTransitGatewayPeeringAttachmentCommand";
import { DeleteTransitGatewayPolicyTableCommand, } from "./commands/DeleteTransitGatewayPolicyTableCommand";
import { DeleteTransitGatewayPrefixListReferenceCommand, } from "./commands/DeleteTransitGatewayPrefixListReferenceCommand";
import { DeleteTransitGatewayRouteCommand, } from "./commands/DeleteTransitGatewayRouteCommand";
import { DeleteTransitGatewayRouteTableAnnouncementCommand, } from "./commands/DeleteTransitGatewayRouteTableAnnouncementCommand";
import { DeleteTransitGatewayRouteTableCommand, } from "./commands/DeleteTransitGatewayRouteTableCommand";
import { DeleteTransitGatewayVpcAttachmentCommand, } from "./commands/DeleteTransitGatewayVpcAttachmentCommand";
import { DeleteVerifiedAccessEndpointCommand, } from "./commands/DeleteVerifiedAccessEndpointCommand";
import { DeleteVerifiedAccessGroupCommand, } from "./commands/DeleteVerifiedAccessGroupCommand";
import { DeleteVerifiedAccessInstanceCommand, } from "./commands/DeleteVerifiedAccessInstanceCommand";
import { DeleteVerifiedAccessTrustProviderCommand, } from "./commands/DeleteVerifiedAccessTrustProviderCommand";
import { DeleteVolumeCommand, } from "./commands/DeleteVolumeCommand";
import { DeleteVpcCommand } from "./commands/DeleteVpcCommand";
import { DeleteVpcEndpointConnectionNotificationsCommand, } from "./commands/DeleteVpcEndpointConnectionNotificationsCommand";
import { DeleteVpcEndpointsCommand, } from "./commands/DeleteVpcEndpointsCommand";
import { DeleteVpcEndpointServiceConfigurationsCommand, } from "./commands/DeleteVpcEndpointServiceConfigurationsCommand";
import { DeleteVpcPeeringConnectionCommand, } from "./commands/DeleteVpcPeeringConnectionCommand";
import { DeleteVpnConnectionCommand, } from "./commands/DeleteVpnConnectionCommand";
import { DeleteVpnConnectionRouteCommand, } from "./commands/DeleteVpnConnectionRouteCommand";
import { DeleteVpnGatewayCommand, } from "./commands/DeleteVpnGatewayCommand";
import { DeprovisionByoipCidrCommand, } from "./commands/DeprovisionByoipCidrCommand";
import { DeprovisionIpamByoasnCommand, } from "./commands/DeprovisionIpamByoasnCommand";
import { DeprovisionIpamPoolCidrCommand, } from "./commands/DeprovisionIpamPoolCidrCommand";
import { DeprovisionPublicIpv4PoolCidrCommand, } from "./commands/DeprovisionPublicIpv4PoolCidrCommand";
import { DeregisterImageCommand, } from "./commands/DeregisterImageCommand";
import { DeregisterInstanceEventNotificationAttributesCommand, } from "./commands/DeregisterInstanceEventNotificationAttributesCommand";
import { DeregisterTransitGatewayMulticastGroupMembersCommand, } from "./commands/DeregisterTransitGatewayMulticastGroupMembersCommand";
import { DeregisterTransitGatewayMulticastGroupSourcesCommand, } from "./commands/DeregisterTransitGatewayMulticastGroupSourcesCommand";
import { DescribeAccountAttributesCommand, } from "./commands/DescribeAccountAttributesCommand";
import { DescribeAddressesAttributeCommand, } from "./commands/DescribeAddressesAttributeCommand";
import { DescribeAddressesCommand, } from "./commands/DescribeAddressesCommand";
import { DescribeAddressTransfersCommand, } from "./commands/DescribeAddressTransfersCommand";
import { DescribeAggregateIdFormatCommand, } from "./commands/DescribeAggregateIdFormatCommand";
import { DescribeAvailabilityZonesCommand, } from "./commands/DescribeAvailabilityZonesCommand";
import { DescribeAwsNetworkPerformanceMetricSubscriptionsCommand, } from "./commands/DescribeAwsNetworkPerformanceMetricSubscriptionsCommand";
import { DescribeBundleTasksCommand, } from "./commands/DescribeBundleTasksCommand";
import { DescribeByoipCidrsCommand, } from "./commands/DescribeByoipCidrsCommand";
import { DescribeCapacityBlockOfferingsCommand, } from "./commands/DescribeCapacityBlockOfferingsCommand";
import { DescribeCapacityReservationFleetsCommand, } from "./commands/DescribeCapacityReservationFleetsCommand";
import { DescribeCapacityReservationsCommand, } from "./commands/DescribeCapacityReservationsCommand";
import { DescribeCarrierGatewaysCommand, } from "./commands/DescribeCarrierGatewaysCommand";
import { DescribeClassicLinkInstancesCommand, } from "./commands/DescribeClassicLinkInstancesCommand";
import { DescribeClientVpnAuthorizationRulesCommand, } from "./commands/DescribeClientVpnAuthorizationRulesCommand";
import { DescribeClientVpnConnectionsCommand, } from "./commands/DescribeClientVpnConnectionsCommand";
import { DescribeClientVpnEndpointsCommand, } from "./commands/DescribeClientVpnEndpointsCommand";
import { DescribeClientVpnRoutesCommand, } from "./commands/DescribeClientVpnRoutesCommand";
import { DescribeClientVpnTargetNetworksCommand, } from "./commands/DescribeClientVpnTargetNetworksCommand";
import { DescribeCoipPoolsCommand, } from "./commands/DescribeCoipPoolsCommand";
import { DescribeConversionTasksCommand, } from "./commands/DescribeConversionTasksCommand";
import { DescribeCustomerGatewaysCommand, } from "./commands/DescribeCustomerGatewaysCommand";
import { DescribeDhcpOptionsCommand, } from "./commands/DescribeDhcpOptionsCommand";
import { DescribeEgressOnlyInternetGatewaysCommand, } from "./commands/DescribeEgressOnlyInternetGatewaysCommand";
import { DescribeElasticGpusCommand, } from "./commands/DescribeElasticGpusCommand";
import { DescribeExportImageTasksCommand, } from "./commands/DescribeExportImageTasksCommand";
import { DescribeExportTasksCommand, } from "./commands/DescribeExportTasksCommand";
import { DescribeFastLaunchImagesCommand, } from "./commands/DescribeFastLaunchImagesCommand";
import { DescribeFastSnapshotRestoresCommand, } from "./commands/DescribeFastSnapshotRestoresCommand";
import { DescribeFleetHistoryCommand, } from "./commands/DescribeFleetHistoryCommand";
import { DescribeFleetInstancesCommand, } from "./commands/DescribeFleetInstancesCommand";
import { DescribeFleetsCommand, } from "./commands/DescribeFleetsCommand";
import { DescribeFlowLogsCommand, } from "./commands/DescribeFlowLogsCommand";
import { DescribeFpgaImageAttributeCommand, } from "./commands/DescribeFpgaImageAttributeCommand";
import { DescribeFpgaImagesCommand, } from "./commands/DescribeFpgaImagesCommand";
import { DescribeHostReservationOfferingsCommand, } from "./commands/DescribeHostReservationOfferingsCommand";
import { DescribeHostReservationsCommand, } from "./commands/DescribeHostReservationsCommand";
import { DescribeHostsCommand, } from "./commands/DescribeHostsCommand";
import { DescribeIamInstanceProfileAssociationsCommand, } from "./commands/DescribeIamInstanceProfileAssociationsCommand";
import { DescribeIdentityIdFormatCommand, } from "./commands/DescribeIdentityIdFormatCommand";
import { DescribeIdFormatCommand, } from "./commands/DescribeIdFormatCommand";
import { DescribeImageAttributeCommand, } from "./commands/DescribeImageAttributeCommand";
import { DescribeImagesCommand, } from "./commands/DescribeImagesCommand";
import { DescribeImportImageTasksCommand, } from "./commands/DescribeImportImageTasksCommand";
import { DescribeImportSnapshotTasksCommand, } from "./commands/DescribeImportSnapshotTasksCommand";
import { DescribeInstanceAttributeCommand, } from "./commands/DescribeInstanceAttributeCommand";
import { DescribeInstanceConnectEndpointsCommand, } from "./commands/DescribeInstanceConnectEndpointsCommand";
import { DescribeInstanceCreditSpecificationsCommand, } from "./commands/DescribeInstanceCreditSpecificationsCommand";
import { DescribeInstanceEventNotificationAttributesCommand, } from "./commands/DescribeInstanceEventNotificationAttributesCommand";
import { DescribeInstanceEventWindowsCommand, } from "./commands/DescribeInstanceEventWindowsCommand";
import { DescribeInstancesCommand, } from "./commands/DescribeInstancesCommand";
import { DescribeInstanceStatusCommand, } from "./commands/DescribeInstanceStatusCommand";
import { DescribeInstanceTopologyCommand, } from "./commands/DescribeInstanceTopologyCommand";
import { DescribeInstanceTypeOfferingsCommand, } from "./commands/DescribeInstanceTypeOfferingsCommand";
import { DescribeInstanceTypesCommand, } from "./commands/DescribeInstanceTypesCommand";
import { DescribeInternetGatewaysCommand, } from "./commands/DescribeInternetGatewaysCommand";
import { DescribeIpamByoasnCommand, } from "./commands/DescribeIpamByoasnCommand";
import { DescribeIpamPoolsCommand, } from "./commands/DescribeIpamPoolsCommand";
import { DescribeIpamResourceDiscoveriesCommand, } from "./commands/DescribeIpamResourceDiscoveriesCommand";
import { DescribeIpamResourceDiscoveryAssociationsCommand, } from "./commands/DescribeIpamResourceDiscoveryAssociationsCommand";
import { DescribeIpamsCommand, } from "./commands/DescribeIpamsCommand";
import { DescribeIpamScopesCommand, } from "./commands/DescribeIpamScopesCommand";
import { DescribeIpv6PoolsCommand, } from "./commands/DescribeIpv6PoolsCommand";
import { DescribeKeyPairsCommand, } from "./commands/DescribeKeyPairsCommand";
import { DescribeLaunchTemplatesCommand, } from "./commands/DescribeLaunchTemplatesCommand";
import { DescribeLaunchTemplateVersionsCommand, } from "./commands/DescribeLaunchTemplateVersionsCommand";
import { DescribeLocalGatewayRouteTablesCommand, } from "./commands/DescribeLocalGatewayRouteTablesCommand";
import { DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand, } from "./commands/DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand";
import { DescribeLocalGatewayRouteTableVpcAssociationsCommand, } from "./commands/DescribeLocalGatewayRouteTableVpcAssociationsCommand";
import { DescribeLocalGatewaysCommand, } from "./commands/DescribeLocalGatewaysCommand";
import { DescribeLocalGatewayVirtualInterfaceGroupsCommand, } from "./commands/DescribeLocalGatewayVirtualInterfaceGroupsCommand";
import { DescribeLocalGatewayVirtualInterfacesCommand, } from "./commands/DescribeLocalGatewayVirtualInterfacesCommand";
import { DescribeLockedSnapshotsCommand, } from "./commands/DescribeLockedSnapshotsCommand";
import { DescribeManagedPrefixListsCommand, } from "./commands/DescribeManagedPrefixListsCommand";
import { DescribeMovingAddressesCommand, } from "./commands/DescribeMovingAddressesCommand";
import { DescribeNatGatewaysCommand, } from "./commands/DescribeNatGatewaysCommand";
import { DescribeNetworkAclsCommand, } from "./commands/DescribeNetworkAclsCommand";
import { DescribeNetworkInsightsAccessScopeAnalysesCommand, } from "./commands/DescribeNetworkInsightsAccessScopeAnalysesCommand";
import { DescribeNetworkInsightsAccessScopesCommand, } from "./commands/DescribeNetworkInsightsAccessScopesCommand";
import { DescribeNetworkInsightsAnalysesCommand, } from "./commands/DescribeNetworkInsightsAnalysesCommand";
import { DescribeNetworkInsightsPathsCommand, } from "./commands/DescribeNetworkInsightsPathsCommand";
import { DescribeNetworkInterfaceAttributeCommand, } from "./commands/DescribeNetworkInterfaceAttributeCommand";
import { DescribeNetworkInterfacePermissionsCommand, } from "./commands/DescribeNetworkInterfacePermissionsCommand";
import { DescribeNetworkInterfacesCommand, } from "./commands/DescribeNetworkInterfacesCommand";
import { DescribePlacementGroupsCommand, } from "./commands/DescribePlacementGroupsCommand";
import { DescribePrefixListsCommand, } from "./commands/DescribePrefixListsCommand";
import { DescribePrincipalIdFormatCommand, } from "./commands/DescribePrincipalIdFormatCommand";
import { DescribePublicIpv4PoolsCommand, } from "./commands/DescribePublicIpv4PoolsCommand";
import { DescribeRegionsCommand, } from "./commands/DescribeRegionsCommand";
import { DescribeReplaceRootVolumeTasksCommand, } from "./commands/DescribeReplaceRootVolumeTasksCommand";
import { DescribeReservedInstancesCommand, } from "./commands/DescribeReservedInstancesCommand";
import { DescribeReservedInstancesListingsCommand, } from "./commands/DescribeReservedInstancesListingsCommand";
import { DescribeReservedInstancesModificationsCommand, } from "./commands/DescribeReservedInstancesModificationsCommand";
import { DescribeReservedInstancesOfferingsCommand, } from "./commands/DescribeReservedInstancesOfferingsCommand";
import { DescribeRouteTablesCommand, } from "./commands/DescribeRouteTablesCommand";
import { DescribeScheduledInstanceAvailabilityCommand, } from "./commands/DescribeScheduledInstanceAvailabilityCommand";
import { DescribeScheduledInstancesCommand, } from "./commands/DescribeScheduledInstancesCommand";
import { DescribeSecurityGroupReferencesCommand, } from "./commands/DescribeSecurityGroupReferencesCommand";
import { DescribeSecurityGroupRulesCommand, } from "./commands/DescribeSecurityGroupRulesCommand";
import { DescribeSecurityGroupsCommand, } from "./commands/DescribeSecurityGroupsCommand";
import { DescribeSnapshotAttributeCommand, } from "./commands/DescribeSnapshotAttributeCommand";
import { DescribeSnapshotsCommand, } from "./commands/DescribeSnapshotsCommand";
import { DescribeSnapshotTierStatusCommand, } from "./commands/DescribeSnapshotTierStatusCommand";
import { DescribeSpotDatafeedSubscriptionCommand, } from "./commands/DescribeSpotDatafeedSubscriptionCommand";
import { DescribeSpotFleetInstancesCommand, } from "./commands/DescribeSpotFleetInstancesCommand";
import { DescribeSpotFleetRequestHistoryCommand, } from "./commands/DescribeSpotFleetRequestHistoryCommand";
import { DescribeSpotFleetRequestsCommand, } from "./commands/DescribeSpotFleetRequestsCommand";
import { DescribeSpotInstanceRequestsCommand, } from "./commands/DescribeSpotInstanceRequestsCommand";
import { DescribeSpotPriceHistoryCommand, } from "./commands/DescribeSpotPriceHistoryCommand";
import { DescribeStaleSecurityGroupsCommand, } from "./commands/DescribeStaleSecurityGroupsCommand";
import { DescribeStoreImageTasksCommand, } from "./commands/DescribeStoreImageTasksCommand";
import { DescribeSubnetsCommand, } from "./commands/DescribeSubnetsCommand";
import { DescribeTagsCommand, } from "./commands/DescribeTagsCommand";
import { DescribeTrafficMirrorFiltersCommand, } from "./commands/DescribeTrafficMirrorFiltersCommand";
import { DescribeTrafficMirrorSessionsCommand, } from "./commands/DescribeTrafficMirrorSessionsCommand";
import { DescribeTrafficMirrorTargetsCommand, } from "./commands/DescribeTrafficMirrorTargetsCommand";
import { DescribeTransitGatewayAttachmentsCommand, } from "./commands/DescribeTransitGatewayAttachmentsCommand";
import { DescribeTransitGatewayConnectPeersCommand, } from "./commands/DescribeTransitGatewayConnectPeersCommand";
import { DescribeTransitGatewayConnectsCommand, } from "./commands/DescribeTransitGatewayConnectsCommand";
import { DescribeTransitGatewayMulticastDomainsCommand, } from "./commands/DescribeTransitGatewayMulticastDomainsCommand";
import { DescribeTransitGatewayPeeringAttachmentsCommand, } from "./commands/DescribeTransitGatewayPeeringAttachmentsCommand";
import { DescribeTransitGatewayPolicyTablesCommand, } from "./commands/DescribeTransitGatewayPolicyTablesCommand";
import { DescribeTransitGatewayRouteTableAnnouncementsCommand, } from "./commands/DescribeTransitGatewayRouteTableAnnouncementsCommand";
import { DescribeTransitGatewayRouteTablesCommand, } from "./commands/DescribeTransitGatewayRouteTablesCommand";
import { DescribeTransitGatewaysCommand, } from "./commands/DescribeTransitGatewaysCommand";
import { DescribeTransitGatewayVpcAttachmentsCommand, } from "./commands/DescribeTransitGatewayVpcAttachmentsCommand";
import { DescribeTrunkInterfaceAssociationsCommand, } from "./commands/DescribeTrunkInterfaceAssociationsCommand";
import { DescribeVerifiedAccessEndpointsCommand, } from "./commands/DescribeVerifiedAccessEndpointsCommand";
import { DescribeVerifiedAccessGroupsCommand, } from "./commands/DescribeVerifiedAccessGroupsCommand";
import { DescribeVerifiedAccessInstanceLoggingConfigurationsCommand, } from "./commands/DescribeVerifiedAccessInstanceLoggingConfigurationsCommand";
import { DescribeVerifiedAccessInstancesCommand, } from "./commands/DescribeVerifiedAccessInstancesCommand";
import { DescribeVerifiedAccessTrustProvidersCommand, } from "./commands/DescribeVerifiedAccessTrustProvidersCommand";
import { DescribeVolumeAttributeCommand, } from "./commands/DescribeVolumeAttributeCommand";
import { DescribeVolumesCommand, } from "./commands/DescribeVolumesCommand";
import { DescribeVolumesModificationsCommand, } from "./commands/DescribeVolumesModificationsCommand";
import { DescribeVolumeStatusCommand, } from "./commands/DescribeVolumeStatusCommand";
import { DescribeVpcAttributeCommand, } from "./commands/DescribeVpcAttributeCommand";
import { DescribeVpcClassicLinkCommand, } from "./commands/DescribeVpcClassicLinkCommand";
import { DescribeVpcClassicLinkDnsSupportCommand, } from "./commands/DescribeVpcClassicLinkDnsSupportCommand";
import { DescribeVpcEndpointConnectionNotificationsCommand, } from "./commands/DescribeVpcEndpointConnectionNotificationsCommand";
import { DescribeVpcEndpointConnectionsCommand, } from "./commands/DescribeVpcEndpointConnectionsCommand";
import { DescribeVpcEndpointsCommand, } from "./commands/DescribeVpcEndpointsCommand";
import { DescribeVpcEndpointServiceConfigurationsCommand, } from "./commands/DescribeVpcEndpointServiceConfigurationsCommand";
import { DescribeVpcEndpointServicePermissionsCommand, } from "./commands/DescribeVpcEndpointServicePermissionsCommand";
import { DescribeVpcEndpointServicesCommand, } from "./commands/DescribeVpcEndpointServicesCommand";
import { DescribeVpcPeeringConnectionsCommand, } from "./commands/DescribeVpcPeeringConnectionsCommand";
import { DescribeVpcsCommand, } from "./commands/DescribeVpcsCommand";
import { DescribeVpnConnectionsCommand, } from "./commands/DescribeVpnConnectionsCommand";
import { DescribeVpnGatewaysCommand, } from "./commands/DescribeVpnGatewaysCommand";
import { DetachClassicLinkVpcCommand, } from "./commands/DetachClassicLinkVpcCommand";
import { DetachInternetGatewayCommand, } from "./commands/DetachInternetGatewayCommand";
import { DetachNetworkInterfaceCommand, } from "./commands/DetachNetworkInterfaceCommand";
import { DetachVerifiedAccessTrustProviderCommand, } from "./commands/DetachVerifiedAccessTrustProviderCommand";
import { DetachVolumeCommand, } from "./commands/DetachVolumeCommand";
import { DetachVpnGatewayCommand, } from "./commands/DetachVpnGatewayCommand";
import { DisableAddressTransferCommand, } from "./commands/DisableAddressTransferCommand";
import { DisableAwsNetworkPerformanceMetricSubscriptionCommand, } from "./commands/DisableAwsNetworkPerformanceMetricSubscriptionCommand";
import { DisableEbsEncryptionByDefaultCommand, } from "./commands/DisableEbsEncryptionByDefaultCommand";
import { DisableFastLaunchCommand, } from "./commands/DisableFastLaunchCommand";
import { DisableFastSnapshotRestoresCommand, } from "./commands/DisableFastSnapshotRestoresCommand";
import { DisableImageBlockPublicAccessCommand, } from "./commands/DisableImageBlockPublicAccessCommand";
import { DisableImageCommand, } from "./commands/DisableImageCommand";
import { DisableImageDeprecationCommand, } from "./commands/DisableImageDeprecationCommand";
import { DisableIpamOrganizationAdminAccountCommand, } from "./commands/DisableIpamOrganizationAdminAccountCommand";
import { DisableSerialConsoleAccessCommand, } from "./commands/DisableSerialConsoleAccessCommand";
import { DisableSnapshotBlockPublicAccessCommand, } from "./commands/DisableSnapshotBlockPublicAccessCommand";
import { DisableTransitGatewayRouteTablePropagationCommand, } from "./commands/DisableTransitGatewayRouteTablePropagationCommand";
import { DisableVgwRoutePropagationCommand, } from "./commands/DisableVgwRoutePropagationCommand";
import { DisableVpcClassicLinkCommand, } from "./commands/DisableVpcClassicLinkCommand";
import { DisableVpcClassicLinkDnsSupportCommand, } from "./commands/DisableVpcClassicLinkDnsSupportCommand";
import { DisassociateAddressCommand, } from "./commands/DisassociateAddressCommand";
import { DisassociateClientVpnTargetNetworkCommand, } from "./commands/DisassociateClientVpnTargetNetworkCommand";
import { DisassociateEnclaveCertificateIamRoleCommand, } from "./commands/DisassociateEnclaveCertificateIamRoleCommand";
import { DisassociateIamInstanceProfileCommand, } from "./commands/DisassociateIamInstanceProfileCommand";
import { DisassociateInstanceEventWindowCommand, } from "./commands/DisassociateInstanceEventWindowCommand";
import { DisassociateIpamByoasnCommand, } from "./commands/DisassociateIpamByoasnCommand";
import { DisassociateIpamResourceDiscoveryCommand, } from "./commands/DisassociateIpamResourceDiscoveryCommand";
import { DisassociateNatGatewayAddressCommand, } from "./commands/DisassociateNatGatewayAddressCommand";
import { DisassociateRouteTableCommand, } from "./commands/DisassociateRouteTableCommand";
import { DisassociateSubnetCidrBlockCommand, } from "./commands/DisassociateSubnetCidrBlockCommand";
import { DisassociateTransitGatewayMulticastDomainCommand, } from "./commands/DisassociateTransitGatewayMulticastDomainCommand";
import { DisassociateTransitGatewayPolicyTableCommand, } from "./commands/DisassociateTransitGatewayPolicyTableCommand";
import { DisassociateTransitGatewayRouteTableCommand, } from "./commands/DisassociateTransitGatewayRouteTableCommand";
import { DisassociateTrunkInterfaceCommand, } from "./commands/DisassociateTrunkInterfaceCommand";
import { DisassociateVpcCidrBlockCommand, } from "./commands/DisassociateVpcCidrBlockCommand";
import { EnableAddressTransferCommand, } from "./commands/EnableAddressTransferCommand";
import { EnableAwsNetworkPerformanceMetricSubscriptionCommand, } from "./commands/EnableAwsNetworkPerformanceMetricSubscriptionCommand";
import { EnableEbsEncryptionByDefaultCommand, } from "./commands/EnableEbsEncryptionByDefaultCommand";
import { EnableFastLaunchCommand, } from "./commands/EnableFastLaunchCommand";
import { EnableFastSnapshotRestoresCommand, } from "./commands/EnableFastSnapshotRestoresCommand";
import { EnableImageBlockPublicAccessCommand, } from "./commands/EnableImageBlockPublicAccessCommand";
import { EnableImageCommand } from "./commands/EnableImageCommand";
import { EnableImageDeprecationCommand, } from "./commands/EnableImageDeprecationCommand";
import { EnableIpamOrganizationAdminAccountCommand, } from "./commands/EnableIpamOrganizationAdminAccountCommand";
import { EnableReachabilityAnalyzerOrganizationSharingCommand, } from "./commands/EnableReachabilityAnalyzerOrganizationSharingCommand";
import { EnableSerialConsoleAccessCommand, } from "./commands/EnableSerialConsoleAccessCommand";
import { EnableSnapshotBlockPublicAccessCommand, } from "./commands/EnableSnapshotBlockPublicAccessCommand";
import { EnableTransitGatewayRouteTablePropagationCommand, } from "./commands/EnableTransitGatewayRouteTablePropagationCommand";
import { EnableVgwRoutePropagationCommand, } from "./commands/EnableVgwRoutePropagationCommand";
import { EnableVolumeIOCommand, } from "./commands/EnableVolumeIOCommand";
import { EnableVpcClassicLinkCommand, } from "./commands/EnableVpcClassicLinkCommand";
import { EnableVpcClassicLinkDnsSupportCommand, } from "./commands/EnableVpcClassicLinkDnsSupportCommand";
import { ExportClientVpnClientCertificateRevocationListCommand, } from "./commands/ExportClientVpnClientCertificateRevocationListCommand";
import { ExportClientVpnClientConfigurationCommand, } from "./commands/ExportClientVpnClientConfigurationCommand";
import { ExportImageCommand } from "./commands/ExportImageCommand";
import { ExportTransitGatewayRoutesCommand, } from "./commands/ExportTransitGatewayRoutesCommand";
import { GetAssociatedEnclaveCertificateIamRolesCommand, } from "./commands/GetAssociatedEnclaveCertificateIamRolesCommand";
import { GetAssociatedIpv6PoolCidrsCommand, } from "./commands/GetAssociatedIpv6PoolCidrsCommand";
import { GetAwsNetworkPerformanceDataCommand, } from "./commands/GetAwsNetworkPerformanceDataCommand";
import { GetCapacityReservationUsageCommand, } from "./commands/GetCapacityReservationUsageCommand";
import { GetCoipPoolUsageCommand, } from "./commands/GetCoipPoolUsageCommand";
import { GetConsoleOutputCommand, } from "./commands/GetConsoleOutputCommand";
import { GetConsoleScreenshotCommand, } from "./commands/GetConsoleScreenshotCommand";
import { GetDefaultCreditSpecificationCommand, } from "./commands/GetDefaultCreditSpecificationCommand";
import { GetEbsDefaultKmsKeyIdCommand, } from "./commands/GetEbsDefaultKmsKeyIdCommand";
import { GetEbsEncryptionByDefaultCommand, } from "./commands/GetEbsEncryptionByDefaultCommand";
import { GetFlowLogsIntegrationTemplateCommand, } from "./commands/GetFlowLogsIntegrationTemplateCommand";
import { GetGroupsForCapacityReservationCommand, } from "./commands/GetGroupsForCapacityReservationCommand";
import { GetHostReservationPurchasePreviewCommand, } from "./commands/GetHostReservationPurchasePreviewCommand";
import { GetImageBlockPublicAccessStateCommand, } from "./commands/GetImageBlockPublicAccessStateCommand";
import { GetInstanceTypesFromInstanceRequirementsCommand, } from "./commands/GetInstanceTypesFromInstanceRequirementsCommand";
import { GetInstanceUefiDataCommand, } from "./commands/GetInstanceUefiDataCommand";
import { GetIpamAddressHistoryCommand, } from "./commands/GetIpamAddressHistoryCommand";
import { GetIpamDiscoveredAccountsCommand, } from "./commands/GetIpamDiscoveredAccountsCommand";
import { GetIpamDiscoveredPublicAddressesCommand, } from "./commands/GetIpamDiscoveredPublicAddressesCommand";
import { GetIpamDiscoveredResourceCidrsCommand, } from "./commands/GetIpamDiscoveredResourceCidrsCommand";
import { GetIpamPoolAllocationsCommand, } from "./commands/GetIpamPoolAllocationsCommand";
import { GetIpamPoolCidrsCommand, } from "./commands/GetIpamPoolCidrsCommand";
import { GetIpamResourceCidrsCommand, } from "./commands/GetIpamResourceCidrsCommand";
import { GetLaunchTemplateDataCommand, } from "./commands/GetLaunchTemplateDataCommand";
import { GetManagedPrefixListAssociationsCommand, } from "./commands/GetManagedPrefixListAssociationsCommand";
import { GetManagedPrefixListEntriesCommand, } from "./commands/GetManagedPrefixListEntriesCommand";
import { GetNetworkInsightsAccessScopeAnalysisFindingsCommand, } from "./commands/GetNetworkInsightsAccessScopeAnalysisFindingsCommand";
import { GetNetworkInsightsAccessScopeContentCommand, } from "./commands/GetNetworkInsightsAccessScopeContentCommand";
import { GetPasswordDataCommand, } from "./commands/GetPasswordDataCommand";
import { GetReservedInstancesExchangeQuoteCommand, } from "./commands/GetReservedInstancesExchangeQuoteCommand";
import { GetSecurityGroupsForVpcCommand, } from "./commands/GetSecurityGroupsForVpcCommand";
import { GetSerialConsoleAccessStatusCommand, } from "./commands/GetSerialConsoleAccessStatusCommand";
import { GetSnapshotBlockPublicAccessStateCommand, } from "./commands/GetSnapshotBlockPublicAccessStateCommand";
import { GetSpotPlacementScoresCommand, } from "./commands/GetSpotPlacementScoresCommand";
import { GetSubnetCidrReservationsCommand, } from "./commands/GetSubnetCidrReservationsCommand";
import { GetTransitGatewayAttachmentPropagationsCommand, } from "./commands/GetTransitGatewayAttachmentPropagationsCommand";
import { GetTransitGatewayMulticastDomainAssociationsCommand, } from "./commands/GetTransitGatewayMulticastDomainAssociationsCommand";
import { GetTransitGatewayPolicyTableAssociationsCommand, } from "./commands/GetTransitGatewayPolicyTableAssociationsCommand";
import { GetTransitGatewayPolicyTableEntriesCommand, } from "./commands/GetTransitGatewayPolicyTableEntriesCommand";
import { GetTransitGatewayPrefixListReferencesCommand, } from "./commands/GetTransitGatewayPrefixListReferencesCommand";
import { GetTransitGatewayRouteTableAssociationsCommand, } from "./commands/GetTransitGatewayRouteTableAssociationsCommand";
import { GetTransitGatewayRouteTablePropagationsCommand, } from "./commands/GetTransitGatewayRouteTablePropagationsCommand";
import { GetVerifiedAccessEndpointPolicyCommand, } from "./commands/GetVerifiedAccessEndpointPolicyCommand";
import { GetVerifiedAccessGroupPolicyCommand, } from "./commands/GetVerifiedAccessGroupPolicyCommand";
import { GetVpnConnectionDeviceSampleConfigurationCommand, } from "./commands/GetVpnConnectionDeviceSampleConfigurationCommand";
import { GetVpnConnectionDeviceTypesCommand, } from "./commands/GetVpnConnectionDeviceTypesCommand";
import { GetVpnTunnelReplacementStatusCommand, } from "./commands/GetVpnTunnelReplacementStatusCommand";
import { ImportClientVpnClientCertificateRevocationListCommand, } from "./commands/ImportClientVpnClientCertificateRevocationListCommand";
import { ImportImageCommand } from "./commands/ImportImageCommand";
import { ImportInstanceCommand, } from "./commands/ImportInstanceCommand";
import { ImportKeyPairCommand, } from "./commands/ImportKeyPairCommand";
import { ImportSnapshotCommand, } from "./commands/ImportSnapshotCommand";
import { ImportVolumeCommand, } from "./commands/ImportVolumeCommand";
import { ListImagesInRecycleBinCommand, } from "./commands/ListImagesInRecycleBinCommand";
import { ListSnapshotsInRecycleBinCommand, } from "./commands/ListSnapshotsInRecycleBinCommand";
import { LockSnapshotCommand, } from "./commands/LockSnapshotCommand";
import { ModifyAddressAttributeCommand, } from "./commands/ModifyAddressAttributeCommand";
import { ModifyAvailabilityZoneGroupCommand, } from "./commands/ModifyAvailabilityZoneGroupCommand";
import { ModifyCapacityReservationCommand, } from "./commands/ModifyCapacityReservationCommand";
import { ModifyCapacityReservationFleetCommand, } from "./commands/ModifyCapacityReservationFleetCommand";
import { ModifyClientVpnEndpointCommand, } from "./commands/ModifyClientVpnEndpointCommand";
import { ModifyDefaultCreditSpecificationCommand, } from "./commands/ModifyDefaultCreditSpecificationCommand";
import { ModifyEbsDefaultKmsKeyIdCommand, } from "./commands/ModifyEbsDefaultKmsKeyIdCommand";
import { ModifyFleetCommand } from "./commands/ModifyFleetCommand";
import { ModifyFpgaImageAttributeCommand, } from "./commands/ModifyFpgaImageAttributeCommand";
import { ModifyHostsCommand } from "./commands/ModifyHostsCommand";
import { ModifyIdentityIdFormatCommand, } from "./commands/ModifyIdentityIdFormatCommand";
import { ModifyIdFormatCommand, } from "./commands/ModifyIdFormatCommand";
import { ModifyImageAttributeCommand, } from "./commands/ModifyImageAttributeCommand";
import { ModifyInstanceAttributeCommand, } from "./commands/ModifyInstanceAttributeCommand";
import { ModifyInstanceCapacityReservationAttributesCommand, } from "./commands/ModifyInstanceCapacityReservationAttributesCommand";
import { ModifyInstanceCreditSpecificationCommand, } from "./commands/ModifyInstanceCreditSpecificationCommand";
import { ModifyInstanceEventStartTimeCommand, } from "./commands/ModifyInstanceEventStartTimeCommand";
import { ModifyInstanceEventWindowCommand, } from "./commands/ModifyInstanceEventWindowCommand";
import { ModifyInstanceMaintenanceOptionsCommand, } from "./commands/ModifyInstanceMaintenanceOptionsCommand";
import { ModifyInstanceMetadataOptionsCommand, } from "./commands/ModifyInstanceMetadataOptionsCommand";
import { ModifyInstancePlacementCommand, } from "./commands/ModifyInstancePlacementCommand";
import { ModifyIpamCommand } from "./commands/ModifyIpamCommand";
import { ModifyIpamPoolCommand, } from "./commands/ModifyIpamPoolCommand";
import { ModifyIpamResourceCidrCommand, } from "./commands/ModifyIpamResourceCidrCommand";
import { ModifyIpamResourceDiscoveryCommand, } from "./commands/ModifyIpamResourceDiscoveryCommand";
import { ModifyIpamScopeCommand, } from "./commands/ModifyIpamScopeCommand";
import { ModifyLaunchTemplateCommand, } from "./commands/ModifyLaunchTemplateCommand";
import { ModifyLocalGatewayRouteCommand, } from "./commands/ModifyLocalGatewayRouteCommand";
import { ModifyManagedPrefixListCommand, } from "./commands/ModifyManagedPrefixListCommand";
import { ModifyNetworkInterfaceAttributeCommand, } from "./commands/ModifyNetworkInterfaceAttributeCommand";
import { ModifyPrivateDnsNameOptionsCommand, } from "./commands/ModifyPrivateDnsNameOptionsCommand";
import { ModifyReservedInstancesCommand, } from "./commands/ModifyReservedInstancesCommand";
import { ModifySecurityGroupRulesCommand, } from "./commands/ModifySecurityGroupRulesCommand";
import { ModifySnapshotAttributeCommand, } from "./commands/ModifySnapshotAttributeCommand";
import { ModifySnapshotTierCommand, } from "./commands/ModifySnapshotTierCommand";
import { ModifySpotFleetRequestCommand, } from "./commands/ModifySpotFleetRequestCommand";
import { ModifySubnetAttributeCommand, } from "./commands/ModifySubnetAttributeCommand";
import { ModifyTrafficMirrorFilterNetworkServicesCommand, } from "./commands/ModifyTrafficMirrorFilterNetworkServicesCommand";
import { ModifyTrafficMirrorFilterRuleCommand, } from "./commands/ModifyTrafficMirrorFilterRuleCommand";
import { ModifyTrafficMirrorSessionCommand, } from "./commands/ModifyTrafficMirrorSessionCommand";
import { ModifyTransitGatewayCommand, } from "./commands/ModifyTransitGatewayCommand";
import { ModifyTransitGatewayPrefixListReferenceCommand, } from "./commands/ModifyTransitGatewayPrefixListReferenceCommand";
import { ModifyTransitGatewayVpcAttachmentCommand, } from "./commands/ModifyTransitGatewayVpcAttachmentCommand";
import { ModifyVerifiedAccessEndpointCommand, } from "./commands/ModifyVerifiedAccessEndpointCommand";
import { ModifyVerifiedAccessEndpointPolicyCommand, } from "./commands/ModifyVerifiedAccessEndpointPolicyCommand";
import { ModifyVerifiedAccessGroupCommand, } from "./commands/ModifyVerifiedAccessGroupCommand";
import { ModifyVerifiedAccessGroupPolicyCommand, } from "./commands/ModifyVerifiedAccessGroupPolicyCommand";
import { ModifyVerifiedAccessInstanceCommand, } from "./commands/ModifyVerifiedAccessInstanceCommand";
import { ModifyVerifiedAccessInstanceLoggingConfigurationCommand, } from "./commands/ModifyVerifiedAccessInstanceLoggingConfigurationCommand";
import { ModifyVerifiedAccessTrustProviderCommand, } from "./commands/ModifyVerifiedAccessTrustProviderCommand";
import { ModifyVolumeAttributeCommand, } from "./commands/ModifyVolumeAttributeCommand";
import { ModifyVolumeCommand, } from "./commands/ModifyVolumeCommand";
import { ModifyVpcAttributeCommand, } from "./commands/ModifyVpcAttributeCommand";
import { ModifyVpcEndpointCommand, } from "./commands/ModifyVpcEndpointCommand";
import { ModifyVpcEndpointConnectionNotificationCommand, } from "./commands/ModifyVpcEndpointConnectionNotificationCommand";
import { ModifyVpcEndpointServiceConfigurationCommand, } from "./commands/ModifyVpcEndpointServiceConfigurationCommand";
import { ModifyVpcEndpointServicePayerResponsibilityCommand, } from "./commands/ModifyVpcEndpointServicePayerResponsibilityCommand";
import { ModifyVpcEndpointServicePermissionsCommand, } from "./commands/ModifyVpcEndpointServicePermissionsCommand";
import { ModifyVpcPeeringConnectionOptionsCommand, } from "./commands/ModifyVpcPeeringConnectionOptionsCommand";
import { ModifyVpcTenancyCommand, } from "./commands/ModifyVpcTenancyCommand";
import { ModifyVpnConnectionCommand, } from "./commands/ModifyVpnConnectionCommand";
import { ModifyVpnConnectionOptionsCommand, } from "./commands/ModifyVpnConnectionOptionsCommand";
import { ModifyVpnTunnelCertificateCommand, } from "./commands/ModifyVpnTunnelCertificateCommand";
import { ModifyVpnTunnelOptionsCommand, } from "./commands/ModifyVpnTunnelOptionsCommand";
import { MonitorInstancesCommand, } from "./commands/MonitorInstancesCommand";
import { MoveAddressToVpcCommand, } from "./commands/MoveAddressToVpcCommand";
import { MoveByoipCidrToIpamCommand, } from "./commands/MoveByoipCidrToIpamCommand";
import { ProvisionByoipCidrCommand, } from "./commands/ProvisionByoipCidrCommand";
import { ProvisionIpamByoasnCommand, } from "./commands/ProvisionIpamByoasnCommand";
import { ProvisionIpamPoolCidrCommand, } from "./commands/ProvisionIpamPoolCidrCommand";
import { ProvisionPublicIpv4PoolCidrCommand, } from "./commands/ProvisionPublicIpv4PoolCidrCommand";
import { PurchaseCapacityBlockCommand, } from "./commands/PurchaseCapacityBlockCommand";
import { PurchaseHostReservationCommand, } from "./commands/PurchaseHostReservationCommand";
import { PurchaseReservedInstancesOfferingCommand, } from "./commands/PurchaseReservedInstancesOfferingCommand";
import { PurchaseScheduledInstancesCommand, } from "./commands/PurchaseScheduledInstancesCommand";
import { RebootInstancesCommand, } from "./commands/RebootInstancesCommand";
import { RegisterImageCommand, } from "./commands/RegisterImageCommand";
import { RegisterInstanceEventNotificationAttributesCommand, } from "./commands/RegisterInstanceEventNotificationAttributesCommand";
import { RegisterTransitGatewayMulticastGroupMembersCommand, } from "./commands/RegisterTransitGatewayMulticastGroupMembersCommand";
import { RegisterTransitGatewayMulticastGroupSourcesCommand, } from "./commands/RegisterTransitGatewayMulticastGroupSourcesCommand";
import { RejectTransitGatewayMulticastDomainAssociationsCommand, } from "./commands/RejectTransitGatewayMulticastDomainAssociationsCommand";
import { RejectTransitGatewayPeeringAttachmentCommand, } from "./commands/RejectTransitGatewayPeeringAttachmentCommand";
import { RejectTransitGatewayVpcAttachmentCommand, } from "./commands/RejectTransitGatewayVpcAttachmentCommand";
import { RejectVpcEndpointConnectionsCommand, } from "./commands/RejectVpcEndpointConnectionsCommand";
import { RejectVpcPeeringConnectionCommand, } from "./commands/RejectVpcPeeringConnectionCommand";
import { ReleaseAddressCommand, } from "./commands/ReleaseAddressCommand";
import { ReleaseHostsCommand, } from "./commands/ReleaseHostsCommand";
import { ReleaseIpamPoolAllocationCommand, } from "./commands/ReleaseIpamPoolAllocationCommand";
import { ReplaceIamInstanceProfileAssociationCommand, } from "./commands/ReplaceIamInstanceProfileAssociationCommand";
import { ReplaceNetworkAclAssociationCommand, } from "./commands/ReplaceNetworkAclAssociationCommand";
import { ReplaceNetworkAclEntryCommand, } from "./commands/ReplaceNetworkAclEntryCommand";
import { ReplaceRouteCommand, } from "./commands/ReplaceRouteCommand";
import { ReplaceRouteTableAssociationCommand, } from "./commands/ReplaceRouteTableAssociationCommand";
import { ReplaceTransitGatewayRouteCommand, } from "./commands/ReplaceTransitGatewayRouteCommand";
import { ReplaceVpnTunnelCommand, } from "./commands/ReplaceVpnTunnelCommand";
import { ReportInstanceStatusCommand, } from "./commands/ReportInstanceStatusCommand";
import { RequestSpotFleetCommand, } from "./commands/RequestSpotFleetCommand";
import { RequestSpotInstancesCommand, } from "./commands/RequestSpotInstancesCommand";
import { ResetAddressAttributeCommand, } from "./commands/ResetAddressAttributeCommand";
import { ResetEbsDefaultKmsKeyIdCommand, } from "./commands/ResetEbsDefaultKmsKeyIdCommand";
import { ResetFpgaImageAttributeCommand, } from "./commands/ResetFpgaImageAttributeCommand";
import { ResetImageAttributeCommand, } from "./commands/ResetImageAttributeCommand";
import { ResetInstanceAttributeCommand, } from "./commands/ResetInstanceAttributeCommand";
import { ResetNetworkInterfaceAttributeCommand, } from "./commands/ResetNetworkInterfaceAttributeCommand";
import { ResetSnapshotAttributeCommand, } from "./commands/ResetSnapshotAttributeCommand";
import { RestoreAddressToClassicCommand, } from "./commands/RestoreAddressToClassicCommand";
import { RestoreImageFromRecycleBinCommand, } from "./commands/RestoreImageFromRecycleBinCommand";
import { RestoreManagedPrefixListVersionCommand, } from "./commands/RestoreManagedPrefixListVersionCommand";
import { RestoreSnapshotFromRecycleBinCommand, } from "./commands/RestoreSnapshotFromRecycleBinCommand";
import { RestoreSnapshotTierCommand, } from "./commands/RestoreSnapshotTierCommand";
import { RevokeClientVpnIngressCommand, } from "./commands/RevokeClientVpnIngressCommand";
import { RevokeSecurityGroupEgressCommand, } from "./commands/RevokeSecurityGroupEgressCommand";
import { RevokeSecurityGroupIngressCommand, } from "./commands/RevokeSecurityGroupIngressCommand";
import { RunInstancesCommand, } from "./commands/RunInstancesCommand";
import { RunScheduledInstancesCommand, } from "./commands/RunScheduledInstancesCommand";
import { SearchLocalGatewayRoutesCommand, } from "./commands/SearchLocalGatewayRoutesCommand";
import { SearchTransitGatewayMulticastGroupsCommand, } from "./commands/SearchTransitGatewayMulticastGroupsCommand";
import { SearchTransitGatewayRoutesCommand, } from "./commands/SearchTransitGatewayRoutesCommand";
import { SendDiagnosticInterruptCommand, } from "./commands/SendDiagnosticInterruptCommand";
import { StartInstancesCommand, } from "./commands/StartInstancesCommand";
import { StartNetworkInsightsAccessScopeAnalysisCommand, } from "./commands/StartNetworkInsightsAccessScopeAnalysisCommand";
import { StartNetworkInsightsAnalysisCommand, } from "./commands/StartNetworkInsightsAnalysisCommand";
import { StartVpcEndpointServicePrivateDnsVerificationCommand, } from "./commands/StartVpcEndpointServicePrivateDnsVerificationCommand";
import { StopInstancesCommand, } from "./commands/StopInstancesCommand";
import { TerminateClientVpnConnectionsCommand, } from "./commands/TerminateClientVpnConnectionsCommand";
import { TerminateInstancesCommand, } from "./commands/TerminateInstancesCommand";
import { UnassignIpv6AddressesCommand, } from "./commands/UnassignIpv6AddressesCommand";
import { UnassignPrivateIpAddressesCommand, } from "./commands/UnassignPrivateIpAddressesCommand";
import { UnassignPrivateNatGatewayAddressCommand, } from "./commands/UnassignPrivateNatGatewayAddressCommand";
import { UnlockSnapshotCommand, } from "./commands/UnlockSnapshotCommand";
import { UnmonitorInstancesCommand, } from "./commands/UnmonitorInstancesCommand";
import { UpdateSecurityGroupRuleDescriptionsEgressCommand, } from "./commands/UpdateSecurityGroupRuleDescriptionsEgressCommand";
import { UpdateSecurityGroupRuleDescriptionsIngressCommand, } from "./commands/UpdateSecurityGroupRuleDescriptionsIngressCommand";
import { WithdrawByoipCidrCommand, } from "./commands/WithdrawByoipCidrCommand";
import { EC2Client } from "./EC2Client";
const commands = {
    AcceptAddressTransferCommand,
    AcceptReservedInstancesExchangeQuoteCommand,
    AcceptTransitGatewayMulticastDomainAssociationsCommand,
    AcceptTransitGatewayPeeringAttachmentCommand,
    AcceptTransitGatewayVpcAttachmentCommand,
    AcceptVpcEndpointConnectionsCommand,
    AcceptVpcPeeringConnectionCommand,
    AdvertiseByoipCidrCommand,
    AllocateAddressCommand,
    AllocateHostsCommand,
    AllocateIpamPoolCidrCommand,
    ApplySecurityGroupsToClientVpnTargetNetworkCommand,
    AssignIpv6AddressesCommand,
    AssignPrivateIpAddressesCommand,
    AssignPrivateNatGatewayAddressCommand,
    AssociateAddressCommand,
    AssociateClientVpnTargetNetworkCommand,
    AssociateDhcpOptionsCommand,
    AssociateEnclaveCertificateIamRoleCommand,
    AssociateIamInstanceProfileCommand,
    AssociateInstanceEventWindowCommand,
    AssociateIpamByoasnCommand,
    AssociateIpamResourceDiscoveryCommand,
    AssociateNatGatewayAddressCommand,
    AssociateRouteTableCommand,
    AssociateSubnetCidrBlockCommand,
    AssociateTransitGatewayMulticastDomainCommand,
    AssociateTransitGatewayPolicyTableCommand,
    AssociateTransitGatewayRouteTableCommand,
    AssociateTrunkInterfaceCommand,
    AssociateVpcCidrBlockCommand,
    AttachClassicLinkVpcCommand,
    AttachInternetGatewayCommand,
    AttachNetworkInterfaceCommand,
    AttachVerifiedAccessTrustProviderCommand,
    AttachVolumeCommand,
    AttachVpnGatewayCommand,
    AuthorizeClientVpnIngressCommand,
    AuthorizeSecurityGroupEgressCommand,
    AuthorizeSecurityGroupIngressCommand,
    BundleInstanceCommand,
    CancelBundleTaskCommand,
    CancelCapacityReservationCommand,
    CancelCapacityReservationFleetsCommand,
    CancelConversionTaskCommand,
    CancelExportTaskCommand,
    CancelImageLaunchPermissionCommand,
    CancelImportTaskCommand,
    CancelReservedInstancesListingCommand,
    CancelSpotFleetRequestsCommand,
    CancelSpotInstanceRequestsCommand,
    ConfirmProductInstanceCommand,
    CopyFpgaImageCommand,
    CopyImageCommand,
    CopySnapshotCommand,
    CreateCapacityReservationCommand,
    CreateCapacityReservationFleetCommand,
    CreateCarrierGatewayCommand,
    CreateClientVpnEndpointCommand,
    CreateClientVpnRouteCommand,
    CreateCoipCidrCommand,
    CreateCoipPoolCommand,
    CreateCustomerGatewayCommand,
    CreateDefaultSubnetCommand,
    CreateDefaultVpcCommand,
    CreateDhcpOptionsCommand,
    CreateEgressOnlyInternetGatewayCommand,
    CreateFleetCommand,
    CreateFlowLogsCommand,
    CreateFpgaImageCommand,
    CreateImageCommand,
    CreateInstanceConnectEndpointCommand,
    CreateInstanceEventWindowCommand,
    CreateInstanceExportTaskCommand,
    CreateInternetGatewayCommand,
    CreateIpamCommand,
    CreateIpamPoolCommand,
    CreateIpamResourceDiscoveryCommand,
    CreateIpamScopeCommand,
    CreateKeyPairCommand,
    CreateLaunchTemplateCommand,
    CreateLaunchTemplateVersionCommand,
    CreateLocalGatewayRouteCommand,
    CreateLocalGatewayRouteTableCommand,
    CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand,
    CreateLocalGatewayRouteTableVpcAssociationCommand,
    CreateManagedPrefixListCommand,
    CreateNatGatewayCommand,
    CreateNetworkAclCommand,
    CreateNetworkAclEntryCommand,
    CreateNetworkInsightsAccessScopeCommand,
    CreateNetworkInsightsPathCommand,
    CreateNetworkInterfaceCommand,
    CreateNetworkInterfacePermissionCommand,
    CreatePlacementGroupCommand,
    CreatePublicIpv4PoolCommand,
    CreateReplaceRootVolumeTaskCommand,
    CreateReservedInstancesListingCommand,
    CreateRestoreImageTaskCommand,
    CreateRouteCommand,
    CreateRouteTableCommand,
    CreateSecurityGroupCommand,
    CreateSnapshotCommand,
    CreateSnapshotsCommand,
    CreateSpotDatafeedSubscriptionCommand,
    CreateStoreImageTaskCommand,
    CreateSubnetCommand,
    CreateSubnetCidrReservationCommand,
    CreateTagsCommand,
    CreateTrafficMirrorFilterCommand,
    CreateTrafficMirrorFilterRuleCommand,
    CreateTrafficMirrorSessionCommand,
    CreateTrafficMirrorTargetCommand,
    CreateTransitGatewayCommand,
    CreateTransitGatewayConnectCommand,
    CreateTransitGatewayConnectPeerCommand,
    CreateTransitGatewayMulticastDomainCommand,
    CreateTransitGatewayPeeringAttachmentCommand,
    CreateTransitGatewayPolicyTableCommand,
    CreateTransitGatewayPrefixListReferenceCommand,
    CreateTransitGatewayRouteCommand,
    CreateTransitGatewayRouteTableCommand,
    CreateTransitGatewayRouteTableAnnouncementCommand,
    CreateTransitGatewayVpcAttachmentCommand,
    CreateVerifiedAccessEndpointCommand,
    CreateVerifiedAccessGroupCommand,
    CreateVerifiedAccessInstanceCommand,
    CreateVerifiedAccessTrustProviderCommand,
    CreateVolumeCommand,
    CreateVpcCommand,
    CreateVpcEndpointCommand,
    CreateVpcEndpointConnectionNotificationCommand,
    CreateVpcEndpointServiceConfigurationCommand,
    CreateVpcPeeringConnectionCommand,
    CreateVpnConnectionCommand,
    CreateVpnConnectionRouteCommand,
    CreateVpnGatewayCommand,
    DeleteCarrierGatewayCommand,
    DeleteClientVpnEndpointCommand,
    DeleteClientVpnRouteCommand,
    DeleteCoipCidrCommand,
    DeleteCoipPoolCommand,
    DeleteCustomerGatewayCommand,
    DeleteDhcpOptionsCommand,
    DeleteEgressOnlyInternetGatewayCommand,
    DeleteFleetsCommand,
    DeleteFlowLogsCommand,
    DeleteFpgaImageCommand,
    DeleteInstanceConnectEndpointCommand,
    DeleteInstanceEventWindowCommand,
    DeleteInternetGatewayCommand,
    DeleteIpamCommand,
    DeleteIpamPoolCommand,
    DeleteIpamResourceDiscoveryCommand,
    DeleteIpamScopeCommand,
    DeleteKeyPairCommand,
    DeleteLaunchTemplateCommand,
    DeleteLaunchTemplateVersionsCommand,
    DeleteLocalGatewayRouteCommand,
    DeleteLocalGatewayRouteTableCommand,
    DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand,
    DeleteLocalGatewayRouteTableVpcAssociationCommand,
    DeleteManagedPrefixListCommand,
    DeleteNatGatewayCommand,
    DeleteNetworkAclCommand,
    DeleteNetworkAclEntryCommand,
    DeleteNetworkInsightsAccessScopeCommand,
    DeleteNetworkInsightsAccessScopeAnalysisCommand,
    DeleteNetworkInsightsAnalysisCommand,
    DeleteNetworkInsightsPathCommand,
    DeleteNetworkInterfaceCommand,
    DeleteNetworkInterfacePermissionCommand,
    DeletePlacementGroupCommand,
    DeletePublicIpv4PoolCommand,
    DeleteQueuedReservedInstancesCommand,
    DeleteRouteCommand,
    DeleteRouteTableCommand,
    DeleteSecurityGroupCommand,
    DeleteSnapshotCommand,
    DeleteSpotDatafeedSubscriptionCommand,
    DeleteSubnetCommand,
    DeleteSubnetCidrReservationCommand,
    DeleteTagsCommand,
    DeleteTrafficMirrorFilterCommand,
    DeleteTrafficMirrorFilterRuleCommand,
    DeleteTrafficMirrorSessionCommand,
    DeleteTrafficMirrorTargetCommand,
    DeleteTransitGatewayCommand,
    DeleteTransitGatewayConnectCommand,
    DeleteTransitGatewayConnectPeerCommand,
    DeleteTransitGatewayMulticastDomainCommand,
    DeleteTransitGatewayPeeringAttachmentCommand,
    DeleteTransitGatewayPolicyTableCommand,
    DeleteTransitGatewayPrefixListReferenceCommand,
    DeleteTransitGatewayRouteCommand,
    DeleteTransitGatewayRouteTableCommand,
    DeleteTransitGatewayRouteTableAnnouncementCommand,
    DeleteTransitGatewayVpcAttachmentCommand,
    DeleteVerifiedAccessEndpointCommand,
    DeleteVerifiedAccessGroupCommand,
    DeleteVerifiedAccessInstanceCommand,
    DeleteVerifiedAccessTrustProviderCommand,
    DeleteVolumeCommand,
    DeleteVpcCommand,
    DeleteVpcEndpointConnectionNotificationsCommand,
    DeleteVpcEndpointsCommand,
    DeleteVpcEndpointServiceConfigurationsCommand,
    DeleteVpcPeeringConnectionCommand,
    DeleteVpnConnectionCommand,
    DeleteVpnConnectionRouteCommand,
    DeleteVpnGatewayCommand,
    DeprovisionByoipCidrCommand,
    DeprovisionIpamByoasnCommand,
    DeprovisionIpamPoolCidrCommand,
    DeprovisionPublicIpv4PoolCidrCommand,
    DeregisterImageCommand,
    DeregisterInstanceEventNotificationAttributesCommand,
    DeregisterTransitGatewayMulticastGroupMembersCommand,
    DeregisterTransitGatewayMulticastGroupSourcesCommand,
    DescribeAccountAttributesCommand,
    DescribeAddressesCommand,
    DescribeAddressesAttributeCommand,
    DescribeAddressTransfersCommand,
    DescribeAggregateIdFormatCommand,
    DescribeAvailabilityZonesCommand,
    DescribeAwsNetworkPerformanceMetricSubscriptionsCommand,
    DescribeBundleTasksCommand,
    DescribeByoipCidrsCommand,
    DescribeCapacityBlockOfferingsCommand,
    DescribeCapacityReservationFleetsCommand,
    DescribeCapacityReservationsCommand,
    DescribeCarrierGatewaysCommand,
    DescribeClassicLinkInstancesCommand,
    DescribeClientVpnAuthorizationRulesCommand,
    DescribeClientVpnConnectionsCommand,
    DescribeClientVpnEndpointsCommand,
    DescribeClientVpnRoutesCommand,
    DescribeClientVpnTargetNetworksCommand,
    DescribeCoipPoolsCommand,
    DescribeConversionTasksCommand,
    DescribeCustomerGatewaysCommand,
    DescribeDhcpOptionsCommand,
    DescribeEgressOnlyInternetGatewaysCommand,
    DescribeElasticGpusCommand,
    DescribeExportImageTasksCommand,
    DescribeExportTasksCommand,
    DescribeFastLaunchImagesCommand,
    DescribeFastSnapshotRestoresCommand,
    DescribeFleetHistoryCommand,
    DescribeFleetInstancesCommand,
    DescribeFleetsCommand,
    DescribeFlowLogsCommand,
    DescribeFpgaImageAttributeCommand,
    DescribeFpgaImagesCommand,
    DescribeHostReservationOfferingsCommand,
    DescribeHostReservationsCommand,
    DescribeHostsCommand,
    DescribeIamInstanceProfileAssociationsCommand,
    DescribeIdentityIdFormatCommand,
    DescribeIdFormatCommand,
    DescribeImageAttributeCommand,
    DescribeImagesCommand,
    DescribeImportImageTasksCommand,
    DescribeImportSnapshotTasksCommand,
    DescribeInstanceAttributeCommand,
    DescribeInstanceConnectEndpointsCommand,
    DescribeInstanceCreditSpecificationsCommand,
    DescribeInstanceEventNotificationAttributesCommand,
    DescribeInstanceEventWindowsCommand,
    DescribeInstancesCommand,
    DescribeInstanceStatusCommand,
    DescribeInstanceTopologyCommand,
    DescribeInstanceTypeOfferingsCommand,
    DescribeInstanceTypesCommand,
    DescribeInternetGatewaysCommand,
    DescribeIpamByoasnCommand,
    DescribeIpamPoolsCommand,
    DescribeIpamResourceDiscoveriesCommand,
    DescribeIpamResourceDiscoveryAssociationsCommand,
    DescribeIpamsCommand,
    DescribeIpamScopesCommand,
    DescribeIpv6PoolsCommand,
    DescribeKeyPairsCommand,
    DescribeLaunchTemplatesCommand,
    DescribeLaunchTemplateVersionsCommand,
    DescribeLocalGatewayRouteTablesCommand,
    DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand,
    DescribeLocalGatewayRouteTableVpcAssociationsCommand,
    DescribeLocalGatewaysCommand,
    DescribeLocalGatewayVirtualInterfaceGroupsCommand,
    DescribeLocalGatewayVirtualInterfacesCommand,
    DescribeLockedSnapshotsCommand,
    DescribeManagedPrefixListsCommand,
    DescribeMovingAddressesCommand,
    DescribeNatGatewaysCommand,
    DescribeNetworkAclsCommand,
    DescribeNetworkInsightsAccessScopeAnalysesCommand,
    DescribeNetworkInsightsAccessScopesCommand,
    DescribeNetworkInsightsAnalysesCommand,
    DescribeNetworkInsightsPathsCommand,
    DescribeNetworkInterfaceAttributeCommand,
    DescribeNetworkInterfacePermissionsCommand,
    DescribeNetworkInterfacesCommand,
    DescribePlacementGroupsCommand,
    DescribePrefixListsCommand,
    DescribePrincipalIdFormatCommand,
    DescribePublicIpv4PoolsCommand,
    DescribeRegionsCommand,
    DescribeReplaceRootVolumeTasksCommand,
    DescribeReservedInstancesCommand,
    DescribeReservedInstancesListingsCommand,
    DescribeReservedInstancesModificationsCommand,
    DescribeReservedInstancesOfferingsCommand,
    DescribeRouteTablesCommand,
    DescribeScheduledInstanceAvailabilityCommand,
    DescribeScheduledInstancesCommand,
    DescribeSecurityGroupReferencesCommand,
    DescribeSecurityGroupRulesCommand,
    DescribeSecurityGroupsCommand,
    DescribeSnapshotAttributeCommand,
    DescribeSnapshotsCommand,
    DescribeSnapshotTierStatusCommand,
    DescribeSpotDatafeedSubscriptionCommand,
    DescribeSpotFleetInstancesCommand,
    DescribeSpotFleetRequestHistoryCommand,
    DescribeSpotFleetRequestsCommand,
    DescribeSpotInstanceRequestsCommand,
    DescribeSpotPriceHistoryCommand,
    DescribeStaleSecurityGroupsCommand,
    DescribeStoreImageTasksCommand,
    DescribeSubnetsCommand,
    DescribeTagsCommand,
    DescribeTrafficMirrorFiltersCommand,
    DescribeTrafficMirrorSessionsCommand,
    DescribeTrafficMirrorTargetsCommand,
    DescribeTransitGatewayAttachmentsCommand,
    DescribeTransitGatewayConnectPeersCommand,
    DescribeTransitGatewayConnectsCommand,
    DescribeTransitGatewayMulticastDomainsCommand,
    DescribeTransitGatewayPeeringAttachmentsCommand,
    DescribeTransitGatewayPolicyTablesCommand,
    DescribeTransitGatewayRouteTableAnnouncementsCommand,
    DescribeTransitGatewayRouteTablesCommand,
    DescribeTransitGatewaysCommand,
    DescribeTransitGatewayVpcAttachmentsCommand,
    DescribeTrunkInterfaceAssociationsCommand,
    DescribeVerifiedAccessEndpointsCommand,
    DescribeVerifiedAccessGroupsCommand,
    DescribeVerifiedAccessInstanceLoggingConfigurationsCommand,
    DescribeVerifiedAccessInstancesCommand,
    DescribeVerifiedAccessTrustProvidersCommand,
    DescribeVolumeAttributeCommand,
    DescribeVolumesCommand,
    DescribeVolumesModificationsCommand,
    DescribeVolumeStatusCommand,
    DescribeVpcAttributeCommand,
    DescribeVpcClassicLinkCommand,
    DescribeVpcClassicLinkDnsSupportCommand,
    DescribeVpcEndpointConnectionNotificationsCommand,
    DescribeVpcEndpointConnectionsCommand,
    DescribeVpcEndpointsCommand,
    DescribeVpcEndpointServiceConfigurationsCommand,
    DescribeVpcEndpointServicePermissionsCommand,
    DescribeVpcEndpointServicesCommand,
    DescribeVpcPeeringConnectionsCommand,
    DescribeVpcsCommand,
    DescribeVpnConnectionsCommand,
    DescribeVpnGatewaysCommand,
    DetachClassicLinkVpcCommand,
    DetachInternetGatewayCommand,
    DetachNetworkInterfaceCommand,
    DetachVerifiedAccessTrustProviderCommand,
    DetachVolumeCommand,
    DetachVpnGatewayCommand,
    DisableAddressTransferCommand,
    DisableAwsNetworkPerformanceMetricSubscriptionCommand,
    DisableEbsEncryptionByDefaultCommand,
    DisableFastLaunchCommand,
    DisableFastSnapshotRestoresCommand,
    DisableImageCommand,
    DisableImageBlockPublicAccessCommand,
    DisableImageDeprecationCommand,
    DisableIpamOrganizationAdminAccountCommand,
    DisableSerialConsoleAccessCommand,
    DisableSnapshotBlockPublicAccessCommand,
    DisableTransitGatewayRouteTablePropagationCommand,
    DisableVgwRoutePropagationCommand,
    DisableVpcClassicLinkCommand,
    DisableVpcClassicLinkDnsSupportCommand,
    DisassociateAddressCommand,
    DisassociateClientVpnTargetNetworkCommand,
    DisassociateEnclaveCertificateIamRoleCommand,
    DisassociateIamInstanceProfileCommand,
    DisassociateInstanceEventWindowCommand,
    DisassociateIpamByoasnCommand,
    DisassociateIpamResourceDiscoveryCommand,
    DisassociateNatGatewayAddressCommand,
    DisassociateRouteTableCommand,
    DisassociateSubnetCidrBlockCommand,
    DisassociateTransitGatewayMulticastDomainCommand,
    DisassociateTransitGatewayPolicyTableCommand,
    DisassociateTransitGatewayRouteTableCommand,
    DisassociateTrunkInterfaceCommand,
    DisassociateVpcCidrBlockCommand,
    EnableAddressTransferCommand,
    EnableAwsNetworkPerformanceMetricSubscriptionCommand,
    EnableEbsEncryptionByDefaultCommand,
    EnableFastLaunchCommand,
    EnableFastSnapshotRestoresCommand,
    EnableImageCommand,
    EnableImageBlockPublicAccessCommand,
    EnableImageDeprecationCommand,
    EnableIpamOrganizationAdminAccountCommand,
    EnableReachabilityAnalyzerOrganizationSharingCommand,
    EnableSerialConsoleAccessCommand,
    EnableSnapshotBlockPublicAccessCommand,
    EnableTransitGatewayRouteTablePropagationCommand,
    EnableVgwRoutePropagationCommand,
    EnableVolumeIOCommand,
    EnableVpcClassicLinkCommand,
    EnableVpcClassicLinkDnsSupportCommand,
    ExportClientVpnClientCertificateRevocationListCommand,
    ExportClientVpnClientConfigurationCommand,
    ExportImageCommand,
    ExportTransitGatewayRoutesCommand,
    GetAssociatedEnclaveCertificateIamRolesCommand,
    GetAssociatedIpv6PoolCidrsCommand,
    GetAwsNetworkPerformanceDataCommand,
    GetCapacityReservationUsageCommand,
    GetCoipPoolUsageCommand,
    GetConsoleOutputCommand,
    GetConsoleScreenshotCommand,
    GetDefaultCreditSpecificationCommand,
    GetEbsDefaultKmsKeyIdCommand,
    GetEbsEncryptionByDefaultCommand,
    GetFlowLogsIntegrationTemplateCommand,
    GetGroupsForCapacityReservationCommand,
    GetHostReservationPurchasePreviewCommand,
    GetImageBlockPublicAccessStateCommand,
    GetInstanceTypesFromInstanceRequirementsCommand,
    GetInstanceUefiDataCommand,
    GetIpamAddressHistoryCommand,
    GetIpamDiscoveredAccountsCommand,
    GetIpamDiscoveredPublicAddressesCommand,
    GetIpamDiscoveredResourceCidrsCommand,
    GetIpamPoolAllocationsCommand,
    GetIpamPoolCidrsCommand,
    GetIpamResourceCidrsCommand,
    GetLaunchTemplateDataCommand,
    GetManagedPrefixListAssociationsCommand,
    GetManagedPrefixListEntriesCommand,
    GetNetworkInsightsAccessScopeAnalysisFindingsCommand,
    GetNetworkInsightsAccessScopeContentCommand,
    GetPasswordDataCommand,
    GetReservedInstancesExchangeQuoteCommand,
    GetSecurityGroupsForVpcCommand,
    GetSerialConsoleAccessStatusCommand,
    GetSnapshotBlockPublicAccessStateCommand,
    GetSpotPlacementScoresCommand,
    GetSubnetCidrReservationsCommand,
    GetTransitGatewayAttachmentPropagationsCommand,
    GetTransitGatewayMulticastDomainAssociationsCommand,
    GetTransitGatewayPolicyTableAssociationsCommand,
    GetTransitGatewayPolicyTableEntriesCommand,
    GetTransitGatewayPrefixListReferencesCommand,
    GetTransitGatewayRouteTableAssociationsCommand,
    GetTransitGatewayRouteTablePropagationsCommand,
    GetVerifiedAccessEndpointPolicyCommand,
    GetVerifiedAccessGroupPolicyCommand,
    GetVpnConnectionDeviceSampleConfigurationCommand,
    GetVpnConnectionDeviceTypesCommand,
    GetVpnTunnelReplacementStatusCommand,
    ImportClientVpnClientCertificateRevocationListCommand,
    ImportImageCommand,
    ImportInstanceCommand,
    ImportKeyPairCommand,
    ImportSnapshotCommand,
    ImportVolumeCommand,
    ListImagesInRecycleBinCommand,
    ListSnapshotsInRecycleBinCommand,
    LockSnapshotCommand,
    ModifyAddressAttributeCommand,
    ModifyAvailabilityZoneGroupCommand,
    ModifyCapacityReservationCommand,
    ModifyCapacityReservationFleetCommand,
    ModifyClientVpnEndpointCommand,
    ModifyDefaultCreditSpecificationCommand,
    ModifyEbsDefaultKmsKeyIdCommand,
    ModifyFleetCommand,
    ModifyFpgaImageAttributeCommand,
    ModifyHostsCommand,
    ModifyIdentityIdFormatCommand,
    ModifyIdFormatCommand,
    ModifyImageAttributeCommand,
    ModifyInstanceAttributeCommand,
    ModifyInstanceCapacityReservationAttributesCommand,
    ModifyInstanceCreditSpecificationCommand,
    ModifyInstanceEventStartTimeCommand,
    ModifyInstanceEventWindowCommand,
    ModifyInstanceMaintenanceOptionsCommand,
    ModifyInstanceMetadataOptionsCommand,
    ModifyInstancePlacementCommand,
    ModifyIpamCommand,
    ModifyIpamPoolCommand,
    ModifyIpamResourceCidrCommand,
    ModifyIpamResourceDiscoveryCommand,
    ModifyIpamScopeCommand,
    ModifyLaunchTemplateCommand,
    ModifyLocalGatewayRouteCommand,
    ModifyManagedPrefixListCommand,
    ModifyNetworkInterfaceAttributeCommand,
    ModifyPrivateDnsNameOptionsCommand,
    ModifyReservedInstancesCommand,
    ModifySecurityGroupRulesCommand,
    ModifySnapshotAttributeCommand,
    ModifySnapshotTierCommand,
    ModifySpotFleetRequestCommand,
    ModifySubnetAttributeCommand,
    ModifyTrafficMirrorFilterNetworkServicesCommand,
    ModifyTrafficMirrorFilterRuleCommand,
    ModifyTrafficMirrorSessionCommand,
    ModifyTransitGatewayCommand,
    ModifyTransitGatewayPrefixListReferenceCommand,
    ModifyTransitGatewayVpcAttachmentCommand,
    ModifyVerifiedAccessEndpointCommand,
    ModifyVerifiedAccessEndpointPolicyCommand,
    ModifyVerifiedAccessGroupCommand,
    ModifyVerifiedAccessGroupPolicyCommand,
    ModifyVerifiedAccessInstanceCommand,
    ModifyVerifiedAccessInstanceLoggingConfigurationCommand,
    ModifyVerifiedAccessTrustProviderCommand,
    ModifyVolumeCommand,
    ModifyVolumeAttributeCommand,
    ModifyVpcAttributeCommand,
    ModifyVpcEndpointCommand,
    ModifyVpcEndpointConnectionNotificationCommand,
    ModifyVpcEndpointServiceConfigurationCommand,
    ModifyVpcEndpointServicePayerResponsibilityCommand,
    ModifyVpcEndpointServicePermissionsCommand,
    ModifyVpcPeeringConnectionOptionsCommand,
    ModifyVpcTenancyCommand,
    ModifyVpnConnectionCommand,
    ModifyVpnConnectionOptionsCommand,
    ModifyVpnTunnelCertificateCommand,
    ModifyVpnTunnelOptionsCommand,
    MonitorInstancesCommand,
    MoveAddressToVpcCommand,
    MoveByoipCidrToIpamCommand,
    ProvisionByoipCidrCommand,
    ProvisionIpamByoasnCommand,
    ProvisionIpamPoolCidrCommand,
    ProvisionPublicIpv4PoolCidrCommand,
    PurchaseCapacityBlockCommand,
    PurchaseHostReservationCommand,
    PurchaseReservedInstancesOfferingCommand,
    PurchaseScheduledInstancesCommand,
    RebootInstancesCommand,
    RegisterImageCommand,
    RegisterInstanceEventNotificationAttributesCommand,
    RegisterTransitGatewayMulticastGroupMembersCommand,
    RegisterTransitGatewayMulticastGroupSourcesCommand,
    RejectTransitGatewayMulticastDomainAssociationsCommand,
    RejectTransitGatewayPeeringAttachmentCommand,
    RejectTransitGatewayVpcAttachmentCommand,
    RejectVpcEndpointConnectionsCommand,
    RejectVpcPeeringConnectionCommand,
    ReleaseAddressCommand,
    ReleaseHostsCommand,
    ReleaseIpamPoolAllocationCommand,
    ReplaceIamInstanceProfileAssociationCommand,
    ReplaceNetworkAclAssociationCommand,
    ReplaceNetworkAclEntryCommand,
    ReplaceRouteCommand,
    ReplaceRouteTableAssociationCommand,
    ReplaceTransitGatewayRouteCommand,
    ReplaceVpnTunnelCommand,
    ReportInstanceStatusCommand,
    RequestSpotFleetCommand,
    RequestSpotInstancesCommand,
    ResetAddressAttributeCommand,
    ResetEbsDefaultKmsKeyIdCommand,
    ResetFpgaImageAttributeCommand,
    ResetImageAttributeCommand,
    ResetInstanceAttributeCommand,
    ResetNetworkInterfaceAttributeCommand,
    ResetSnapshotAttributeCommand,
    RestoreAddressToClassicCommand,
    RestoreImageFromRecycleBinCommand,
    RestoreManagedPrefixListVersionCommand,
    RestoreSnapshotFromRecycleBinCommand,
    RestoreSnapshotTierCommand,
    RevokeClientVpnIngressCommand,
    RevokeSecurityGroupEgressCommand,
    RevokeSecurityGroupIngressCommand,
    RunInstancesCommand,
    RunScheduledInstancesCommand,
    SearchLocalGatewayRoutesCommand,
    SearchTransitGatewayMulticastGroupsCommand,
    SearchTransitGatewayRoutesCommand,
    SendDiagnosticInterruptCommand,
    StartInstancesCommand,
    StartNetworkInsightsAccessScopeAnalysisCommand,
    StartNetworkInsightsAnalysisCommand,
    StartVpcEndpointServicePrivateDnsVerificationCommand,
    StopInstancesCommand,
    TerminateClientVpnConnectionsCommand,
    TerminateInstancesCommand,
    UnassignIpv6AddressesCommand,
    UnassignPrivateIpAddressesCommand,
    UnassignPrivateNatGatewayAddressCommand,
    UnlockSnapshotCommand,
    UnmonitorInstancesCommand,
    UpdateSecurityGroupRuleDescriptionsEgressCommand,
    UpdateSecurityGroupRuleDescriptionsIngressCommand,
    WithdrawByoipCidrCommand,
};
export class EC2 extends EC2Client {
}
createAggregatedClient(commands, EC2);
