import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { CreateNetworkInterfaceRequest } from "../models/models_1";
import { CreateNetworkInterfaceResult } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateNetworkInterfaceCommandInput
  extends CreateNetworkInterfaceRequest {}
export interface CreateNetworkInterfaceCommandOutput
  extends CreateNetworkInterfaceResult,
    __MetadataBearer {}
export declare class CreateNetworkInterfaceCommand extends $Command<
  CreateNetworkInterfaceCommandInput,
  CreateNetworkInterfaceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateNetworkInterfaceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateNetworkInterfaceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateNetworkInterfaceCommandInput,
    CreateNetworkInterfaceCommandOutput
  >;
  private serialize;
  private deserialize;
}
