import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteNetworkInsightsAccessScopeRequest,
  DeleteNetworkInsightsAccessScopeResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DeleteNetworkInsightsAccessScopeCommandInput
  extends DeleteNetworkInsightsAccessScopeRequest {}
export interface DeleteNetworkInsightsAccessScopeCommandOutput
  extends DeleteNetworkInsightsAccessScopeResult,
    __MetadataBearer {}
export declare class DeleteNetworkInsightsAccessScopeCommand extends $Command<
  DeleteNetworkInsightsAccessScopeCommandInput,
  DeleteNetworkInsightsAccessScopeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteNetworkInsightsAccessScopeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteNetworkInsightsAccessScopeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteNetworkInsightsAccessScopeCommandInput,
    DeleteNetworkInsightsAccessScopeCommandOutput
  >;
  private serialize;
  private deserialize;
}
