import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeletePublicIpv4PoolRequest,
  DeletePublicIpv4PoolResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DeletePublicIpv4PoolCommandInput
  extends DeletePublicIpv4PoolRequest {}
export interface DeletePublicIpv4PoolCommandOutput
  extends DeletePublicIpv4PoolResult,
    __MetadataBearer {}
export declare class DeletePublicIpv4PoolCommand extends $Command<
  DeletePublicIpv4PoolCommandInput,
  DeletePublicIpv4PoolCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeletePublicIpv4PoolCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeletePublicIpv4PoolCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeletePublicIpv4PoolCommandInput,
    DeletePublicIpv4PoolCommandOutput
  >;
  private serialize;
  private deserialize;
}
