import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeCapacityBlockOfferingsRequest,
  DescribeCapacityBlockOfferingsResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeCapacityBlockOfferingsCommandInput
  extends DescribeCapacityBlockOfferingsRequest {}
export interface DescribeCapacityBlockOfferingsCommandOutput
  extends DescribeCapacityBlockOfferingsResult,
    __MetadataBearer {}
export declare class DescribeCapacityBlockOfferingsCommand extends $Command<
  DescribeCapacityBlockOfferingsCommandInput,
  DescribeCapacityBlockOfferingsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeCapacityBlockOfferingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCapacityBlockOfferingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCapacityBlockOfferingsCommandInput,
    DescribeCapacityBlockOfferingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
