import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeInstanceTopologyRequest,
  DescribeInstanceTopologyResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeInstanceTopologyCommandInput
  extends DescribeInstanceTopologyRequest {}
export interface DescribeInstanceTopologyCommandOutput
  extends DescribeInstanceTopologyResult,
    __MetadataBearer {}
export declare class DescribeInstanceTopologyCommand extends $Command<
  DescribeInstanceTopologyCommandInput,
  DescribeInstanceTopologyCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeInstanceTopologyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInstanceTopologyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeInstanceTopologyCommandInput,
    DescribeInstanceTopologyCommandOutput
  >;
  private serialize;
  private deserialize;
}
