import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeLockedSnapshotsRequest,
  DescribeLockedSnapshotsResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeLockedSnapshotsCommandInput
  extends DescribeLockedSnapshotsRequest {}
export interface DescribeLockedSnapshotsCommandOutput
  extends DescribeLockedSnapshotsResult,
    __MetadataBearer {}
export declare class DescribeLockedSnapshotsCommand extends $Command<
  DescribeLockedSnapshotsCommandInput,
  DescribeLockedSnapshotsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeLockedSnapshotsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeLockedSnapshotsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeLockedSnapshotsCommandInput,
    DescribeLockedSnapshotsCommandOutput
  >;
  private serialize;
  private deserialize;
}
