import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeTransitGatewayConnectsRequest,
  DescribeTransitGatewayConnectsResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DescribeTransitGatewayConnectsCommandInput
  extends DescribeTransitGatewayConnectsRequest {}
export interface DescribeTransitGatewayConnectsCommandOutput
  extends DescribeTransitGatewayConnectsResult,
    __MetadataBearer {}
export declare class DescribeTransitGatewayConnectsCommand extends $Command<
  DescribeTransitGatewayConnectsCommandInput,
  DescribeTransitGatewayConnectsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeTransitGatewayConnectsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTransitGatewayConnectsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTransitGatewayConnectsCommandInput,
    DescribeTransitGatewayConnectsCommandOutput
  >;
  private serialize;
  private deserialize;
}
