import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DisableImageRequest, DisableImageResult } from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisableImageCommandInput extends DisableImageRequest {}
export interface DisableImageCommandOutput
  extends DisableImageResult,
    __MetadataBearer {}
export declare class DisableImageCommand extends $Command<
  DisableImageCommandInput,
  DisableImageCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableImageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableImageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DisableImageCommandInput, DisableImageCommandOutput>;
  private serialize;
  private deserialize;
}
