import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableSnapshotBlockPublicAccessRequest,
  DisableSnapshotBlockPublicAccessResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisableSnapshotBlockPublicAccessCommandInput
  extends DisableSnapshotBlockPublicAccessRequest {}
export interface DisableSnapshotBlockPublicAccessCommandOutput
  extends DisableSnapshotBlockPublicAccessResult,
    __MetadataBearer {}
export declare class DisableSnapshotBlockPublicAccessCommand extends $Command<
  DisableSnapshotBlockPublicAccessCommandInput,
  DisableSnapshotBlockPublicAccessCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableSnapshotBlockPublicAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableSnapshotBlockPublicAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableSnapshotBlockPublicAccessCommandInput,
    DisableSnapshotBlockPublicAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
