import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { EnableImageRequest, EnableImageResult } from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableImageCommandInput extends EnableImageRequest {}
export interface EnableImageCommandOutput
  extends EnableImageResult,
    __MetadataBearer {}
export declare class EnableImageCommand extends $Command<
  EnableImageCommandInput,
  EnableImageCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableImageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableImageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<EnableImageCommandInput, EnableImageCommandOutput>;
  private serialize;
  private deserialize;
}
