import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableSnapshotBlockPublicAccessRequest,
  EnableSnapshotBlockPublicAccessResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableSnapshotBlockPublicAccessCommandInput
  extends EnableSnapshotBlockPublicAccessRequest {}
export interface EnableSnapshotBlockPublicAccessCommandOutput
  extends EnableSnapshotBlockPublicAccessResult,
    __MetadataBearer {}
export declare class EnableSnapshotBlockPublicAccessCommand extends $Command<
  EnableSnapshotBlockPublicAccessCommandInput,
  EnableSnapshotBlockPublicAccessCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableSnapshotBlockPublicAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableSnapshotBlockPublicAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableSnapshotBlockPublicAccessCommandInput,
    EnableSnapshotBlockPublicAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
