import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetSecurityGroupsForVpcRequest,
  GetSecurityGroupsForVpcResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface GetSecurityGroupsForVpcCommandInput
  extends GetSecurityGroupsForVpcRequest {}
export interface GetSecurityGroupsForVpcCommandOutput
  extends GetSecurityGroupsForVpcResult,
    __MetadataBearer {}
export declare class GetSecurityGroupsForVpcCommand extends $Command<
  GetSecurityGroupsForVpcCommandInput,
  GetSecurityGroupsForVpcCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetSecurityGroupsForVpcCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetSecurityGroupsForVpcCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetSecurityGroupsForVpcCommandInput,
    GetSecurityGroupsForVpcCommandOutput
  >;
  private serialize;
  private deserialize;
}
