import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  PurchaseCapacityBlockRequest,
  PurchaseCapacityBlockResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface PurchaseCapacityBlockCommandInput
  extends PurchaseCapacityBlockRequest {}
export interface PurchaseCapacityBlockCommandOutput
  extends PurchaseCapacityBlockResult,
    __MetadataBearer {}
export declare class PurchaseCapacityBlockCommand extends $Command<
  PurchaseCapacityBlockCommandInput,
  PurchaseCapacityBlockCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: PurchaseCapacityBlockCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PurchaseCapacityBlockCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PurchaseCapacityBlockCommandInput,
    PurchaseCapacityBlockCommandOutput
  >;
  private serialize;
  private deserialize;
}
