import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  RejectTransitGatewayPeeringAttachmentRequest,
  RejectTransitGatewayPeeringAttachmentResult,
} from "../models/models_7";
export { __MetadataBearer, $Command };
export interface RejectTransitGatewayPeeringAttachmentCommandInput
  extends RejectTransitGatewayPeeringAttachmentRequest {}
export interface RejectTransitGatewayPeeringAttachmentCommandOutput
  extends RejectTransitGatewayPeeringAttachmentResult,
    __MetadataBearer {}
export declare class RejectTransitGatewayPeeringAttachmentCommand extends $Command<
  RejectTransitGatewayPeeringAttachmentCommandInput,
  RejectTransitGatewayPeeringAttachmentCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: RejectTransitGatewayPeeringAttachmentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RejectTransitGatewayPeeringAttachmentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RejectTransitGatewayPeeringAttachmentCommandInput,
    RejectTransitGatewayPeeringAttachmentCommandOutput
  >;
  private serialize;
  private deserialize;
}
