import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ReplaceVpnTunnelRequest,
  ReplaceVpnTunnelResult,
} from "../models/models_7";
export { __MetadataBearer, $Command };
export interface ReplaceVpnTunnelCommandInput extends ReplaceVpnTunnelRequest {}
export interface ReplaceVpnTunnelCommandOutput
  extends ReplaceVpnTunnelResult,
    __MetadataBearer {}
export declare class ReplaceVpnTunnelCommand extends $Command<
  ReplaceVpnTunnelCommandInput,
  ReplaceVpnTunnelCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ReplaceVpnTunnelCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ReplaceVpnTunnelCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ReplaceVpnTunnelCommandInput, ReplaceVpnTunnelCommandOutput>;
  private serialize;
  private deserialize;
}
