import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ReportInstanceStatusRequest } from "../models/models_7";
export { __MetadataBearer, $Command };
export interface ReportInstanceStatusCommandInput
  extends ReportInstanceStatusRequest {}
export interface ReportInstanceStatusCommandOutput extends __MetadataBearer {}
export declare class ReportInstanceStatusCommand extends $Command<
  ReportInstanceStatusCommandInput,
  ReportInstanceStatusCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ReportInstanceStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ReportInstanceStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ReportInstanceStatusCommandInput,
    ReportInstanceStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
