import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  RequestSpotInstancesRequest,
  RequestSpotInstancesResult,
} from "../models/models_7";
export { __MetadataBearer, $Command };
export interface RequestSpotInstancesCommandInput
  extends RequestSpotInstancesRequest {}
export interface RequestSpotInstancesCommandOutput
  extends RequestSpotInstancesResult,
    __MetadataBearer {}
export declare class RequestSpotInstancesCommand extends $Command<
  RequestSpotInstancesCommandInput,
  RequestSpotInstancesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: RequestSpotInstancesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RequestSpotInstancesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RequestSpotInstancesCommandInput,
    RequestSpotInstancesCommandOutput
  >;
  private serialize;
  private deserialize;
}
