import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  UnlockSnapshotRequest,
  UnlockSnapshotResult,
} from "../models/models_7";
export { __MetadataBearer, $Command };
export interface UnlockSnapshotCommandInput extends UnlockSnapshotRequest {}
export interface UnlockSnapshotCommandOutput
  extends UnlockSnapshotResult,
    __MetadataBearer {}
export declare class UnlockSnapshotCommand extends $Command<
  UnlockSnapshotCommandInput,
  UnlockSnapshotCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: UnlockSnapshotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UnlockSnapshotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UnlockSnapshotCommandInput, UnlockSnapshotCommandOutput>;
  private serialize;
  private deserialize;
}
